﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace ConsoleApplication.masterpass
{
    public class CLI_MasterpassCancel
    {
        public virtual void Exec()
        {
            // 取引ID(与信時に利用したものを設定してください)
            String orderId = "1234567890";

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new MasterpassCancelRequestDto();
            requestData.OrderId = orderId;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction();
            var responseData = (MasterpassCancelResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("CancelDatetime:" + responseData.CancelDatetime);
        }
    }
}
