﻿<%@ Page Language="C#" AutoEventWireup="True" CodeBehind="Cancel.aspx.cs" Inherits="MdkSampleDotNet.carrier.Cancel" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - キャリア決済取消サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G キャリア決済の取消取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    
    <div class="lhtitle">キャリア決済：取消請求</div>

    <form id="Form1" name="FORM_CARRIER" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="ititletop">
                キャリア選択
            </td>
            <td class="ivaluetop">
                <asp:DropDownList ID="serviceOptionType" runat="server">
                </asp:DropDownList>
                <br />
                <font size="2" color="red">※ソフトバンクまとめて支払い（B）：旧ソフトバンクケータイ支払い</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                取引ID
            </td>
            <td class="ivalue">
                <asp:TextBox ID="orderId" runat="server" MaxLength="100" size="30" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                課金取消月(YYYYMM)
            </td>
            <td class="ivalue">
                <asp:TextBox ID="cancelMonth" runat="server" MaxLength="6" size="7" />
                <br />
                <font size="2" color="red">※継続課金の場合は必須</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                金額
            </td>
            <td class="ivalue">
                <asp:TextBox ID="amount" runat="server" MaxLength="8" size="9" />
                <br />
                <font size="2" color="red">※ドコモのみ部分返金が可能</font>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Button ID="btnSubmit" runat="server" Text="取消" OnClick="btnSubmit_Click" />&nbsp;&nbsp;<font
                    size="2" color="red">※２回以上クリックしないでください。</font>
            </td>
        </tr>
    </table>
    </form>
    <a href="../AdminMenu.aspx">管理メニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt="VeriTransロゴ" src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc.
    All rights reserved
</body>
</html>
