﻿using System;

namespace MdkSampleDotNet.em
{
    public partial class Cancel : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        /// <summary>
        /// 取消ボタンイベント
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramServiceOptionType = serviceOptionType.Text;
            String paramOrderId = orderId.Text;
            String paramOrderKind = orderKind.Text;


            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            if (String.IsNullOrEmpty(paramOrderId))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font><br/><br/>";
                return;
            }
            if ("tcc-redirect".Equals(paramServiceOptionType))
            {
                if (!String.IsNullOrEmpty(paramOrderKind))
                {
                    errorMessage.Text = "<font color='#ff0000'><b>対象取引種別は指定できません</b></font><br/><br/>";
                    return;
                }
            }


            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 画面入力値を実行クラスに渡すためにセッションに設定します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Session["paramServiceOptionType"] = paramServiceOptionType;
            Session["paramOrderId"] = paramOrderId;
            Session["paramOrderKind"] = paramOrderKind;


            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 実行＆結果画面を表示します
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Response.Redirect("./CancelExec.aspx", true);
        }
    }
}
