﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="web.masterpass.Login" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - MasterPass決済与信申込サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
        // 金額再計算
        function reCalcSum() {

            // 各商品価格を計算
            var value1  = Number(document.getElementById('value1').value);
            var value2  = Number(document.getElementById('value2').value);
            var value3  = Number(document.getElementById('value3').value);
            var value4  = Number(document.getElementById('value4').value);
            var value5  = Number(document.getElementById('value5').value);
            var value6  = Number(document.getElementById('value6').value);
            var value7  = Number(document.getElementById('value7').value);
            var value8  = Number(document.getElementById('value8').value);
            var value9  = Number(document.getElementById('value9').value);
            var value10 = Number(document.getElementById('value10').value);

            // 合計金額を算出
            var itemAmount = value1 + value2 + value3 + value4 + value5 +
                             value6 + value7 + value8 + value9 + value10;
            document.getElementById('itemAmount').innerHTML = itemAmount;
            document.getElementById('inputItemAmount').value = itemAmount;
        }
    </script>
</head>
<body onload="reCalcSum();">
    <img src="../WEB-IMG/VeriTrans_Payment.png" alt="Paymentロゴ" /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G MasterPass決済（Login）の取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    <div class="lhtitle">MasterPass Login<br/>(決済：申込)</div>

    <form id="Form1" name="FORM_MASTERPASS" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="ititletop">
                Order ID<br/>(取引ID)
            </td>
            <td class="ivaluetop">
                <asp:Label ID="orderId" runat="server" />&nbsp;&nbsp;
                <asp:Button ID="btnReplaceOrderId" runat="server" Text="Update Order ID (取引ID更新)" OnClick="btnReplaceOrderId_Click" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                Product Number<br/>(商品番号)
            </td>
            <td class="ivalue">
                <asp:TextBox ID="itemId" runat="server" MaxLength="64" size="20" /><br/>
                <font size="2" color="red">64 byte Alphanumeric characters (64バイト以下の半角英数字)</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">Supress Shipping Adress<br/>(配送先抑止フラグ)</td>
            <td class="ivalue">
                <asp:DropDownList ID="suppressShippingAddress" runat="server" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                Shipping Locations<br/>(配送先許可エリア)
            </td>
            <td class="ivalue">
                <asp:TextBox ID="shippingLocationProfile" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                Success URL<br/>(決済完了時URL)
            </td>
            <td class="ivalue">
                <asp:TextBox ID="successUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                Cancel URL<br/>(決済キャンセル時URL)
            </td>
            <td class="ivalue">
                <asp:TextBox ID="cancelUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                Error URL<br/>(決済エラー時URL)
            </td>
            <td class="ivalue">
                <asp:TextBox ID="errorUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <asp:HiddenField ID="dummyRequest" runat="server" />
    </table>
    <br/>
    <font size="2" color="red">※必ず「商品１」は設定してください。</font>
    <br/>
    <table border="1" cellpadding="0" cellspacing="0">

      <tr>
        <th>
        <th>Product Description<br/>(商品説明)</th>
        <th>Product Quantity<br/>(商品数量)</th>
        <th>Product Value<br/>(商品金額)</th>
        <th>Product Image URL<br/>(商品イメージURL)</th>
      </tr>
      <tr>
        <td class="ititle">Product1<br/>(商品１)</td>
        <td style="border-style:none;">
          <asp:TextBox ID="description1" runat="server" MaxLength="100" size="30" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="quantity1" runat="server" MaxLength="12" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="value1" runat="server" MaxLength="8" size="20" onblur="reCalcSum()" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="imageUrl1" runat="server" MaxLength="256" size="45" />
        </td>
      </tr>
      <tr>
        <td class="ititle">Product2<br/>(商品２)</td>
        <td style="border-style:none;">
          <asp:TextBox ID="description2" runat="server" MaxLength="100" size="30" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="quantity2" runat="server" MaxLength="12" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="value2" runat="server" MaxLength="8" onblur="reCalcSum()" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="imageUrl2" runat="server" MaxLength="256" size="45" />
        </td>
      </tr>
      <tr>
        <td class="ititle">Product3<br/>(商品３)</td>
        <td style="border-style:none;">
          <asp:TextBox ID="description3" runat="server" MaxLength="100" size="30" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="quantity3" runat="server" MaxLength="12" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="value3" runat="server" MaxLength="8" onblur="reCalcSum()" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="imageUrl3" runat="server" MaxLength="256" size="45" />
        </td>
      </tr>
      <tr>
        <td class="ititle">Product4<br/>(商品４)</td>
        <td style="border-style:none;">
          <asp:TextBox ID="description4" runat="server" MaxLength="20" size="30" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="quantity4" runat="server" MaxLength="12" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="value4" runat="server" MaxLength="8" onblur="reCalcSum()" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="imageUrl4" runat="server" MaxLength="256" size="45" />
        </td>
      </tr>
      <tr>
        <td class="ititle">Product5<br/>(商品５)</td>
        <td style="border-style:none;">
          <asp:TextBox ID="description5" runat="server" MaxLength="20" size="30" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="quantity5" runat="server" MaxLength="12" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="value5" runat="server" MaxLength="8" onblur="reCalcSum()" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="imageUrl5" runat="server" MaxLength="256" size="45" />
        </td>
      </tr>
      <tr>
        <td class="ititle">Product6<br/>(商品６)</td>
        <td style="border-style:none;">
          <asp:TextBox ID="description6" runat="server" MaxLength="20" size="30" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="quantity6" runat="server" MaxLength="12" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="value6" runat="server" MaxLength="8" onblur="reCalcSum()" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="imageUrl6" runat="server" MaxLength="256" size="45" />
        </td>
      </tr>
      <tr>
        <td class="ititle">Product7<br/>(商品７)</td>
        <td style="border-style:none;">
          <asp:TextBox ID="description7" runat="server" MaxLength="20" size="30" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="quantity7" runat="server" MaxLength="12" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="value7" runat="server" MaxLength="8" onblur="reCalcSum()" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="imageUrl7" runat="server" MaxLength="256" size="45" />
        </td>
      </tr>
      <tr>
        <td class="ititle">Product8<br/>(商品８)</td>
        <td style="border-style:none;">
          <asp:TextBox ID="description8" runat="server" MaxLength="20" size="30" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="quantity8" runat="server" MaxLength="12" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="value8" runat="server" MaxLength="8" onblur="reCalcSum()" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="imageUrl8" runat="server" MaxLength="256" size="45" />
        </td>
      </tr>
      <tr>
        <td class="ititle">Product9<br/>(商品９)</td>
        <td style="border-style:none;">
          <asp:TextBox ID="description9" runat="server" MaxLength="20" size="30" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="quantity9" runat="server" MaxLength="12" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="value9" runat="server" MaxLength="8" onblur="reCalcSum()" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="imageUrl9" runat="server" MaxLength="256" size="45" />
        </td>
      </tr>
      <tr>
        <td class="ititle">Product10<br/>(商品１０)</td>
        <td style="border-style:none;">
          <asp:TextBox ID="description10" runat="server" MaxLength="20" size="30" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="quantity10" runat="server" MaxLength="12" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="value10" runat="server" MaxLength="8" onblur="reCalcSum()" />
        </td>
        <td style="border-style:none;">
          <asp:TextBox ID="imageUrl10" runat="server" MaxLength="256" size="45" />
        </td>
      </tr>
    </table>
    <br>
    <table border="1" cellspacing="0" cellpadding="5">
      <tr>
        <td class="ititle">Total Amount<br/>(合計金額)</td>
        <td style="border-style:none;" align="right">
            <asp:Label ID="itemAmount" runat="server" />円
            <asp:HiddenField ID="inputItemAmount" value="0" runat="server" />
        </td>
      </tr>
    </table>
    <br/>
    <table>
    <tr>
      <td>
      <asp:ImageButton runat="server" ID="btnSubmit" OnClick="btnSubmit_Click" ImageUrl='https://www.mastercard.com/mc_us/wallet/img/en/US/mcpp_wllt_btn_chk_147x034px.png'  alt="Buy with MasterPass" />
      &nbsp;&nbsp;<font size="2" color="red">※Please avoid double Click (２回以上クリックしないでください。)</font>
      </td>
    </tr>
    </table>
    </form>


    <a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc.
    All rights reserved
</body>
</html>
