﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CardAuthorize.aspx.cs"
    Inherits="web.paynowid.CardAuthorize" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - カード決済-本人認証無し(PayNowIDカード情報利用)サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G カード決済-本人認証無し(PayNowIDカード情報利用)のサンプル画面です。<br />
            お客様ECサイトとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照ください。<br />
        </font>
    </div>
    <asp:Label ID="ErrorMessage" runat="server" />
    <div class="lhtitle">
        カード決済-本人認証無し(PayNowIDカード情報利用)</div>
    <form id="Form1" name="FORM_PAY_NOW_ID" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="thl" colspan="2">
                決済情報
            </td>
        </tr>
        <tr>
            <td class="ititletop">
                会員ID
            </td>
            <td class="ivaluetop">
                <asp:TextBox type="text" size="50" name="accountId" MaxLength="100" runat="server"
                    ID="AccountId" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                取引ID
            </td>
            <td class="ivalue">
                <asp:Label ID="OrderId" runat="server" />&nbsp;&nbsp;
                <asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" OnClick="btnReplaceOrderId_Click" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                金額
            </td>
            <td class="ivalue">
                <asp:TextBox ID="Amount" runat="server" MaxLength="8" size="9" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                与信方法
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="WithCapture" runat="server">
                    <asp:ListItem Value="0">与信のみ(与信成功後に売上処理を行う必要があります)</asp:ListItem>
                    <asp:ListItem Value="1">与信売上(与信と同時に売上処理も行います)</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Button runat="server" Text="次へ" OnClick="btnSubmit_Click"/>
                &nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
            </td>
        </tr>
    </table>
    </form>
    <a href="../PayNowIdMenu.aspx">PayNowIDサンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png" />&nbsp; Copyright &copy;
    VeriTrans Inc. All rights reserved
</body>
</html>
