﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SearchExec.aspx.cs" Inherits="MdkSampleDotNet.search.SearchExec" %>
<%@ Assembly Name="cg-mdk-dto" %>
<%@ Import namespace="jp.veritrans.tercerog.mdk.dto" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <title>取引検索結果</title>
  <link href="../css/style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <img alt="Paymentロゴ" src="../WEB-IMG/VeriTrans_Payment.png"/><hr/>
  <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G 取引検索のサンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
  </div>

  <asp:Label ID="errorMessage" runat="server"/>

  <div class="lhtitle">検索結果</div>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="3" rowspan="2">オーダー情報</th>
      <th class="rititle2" nowrap colspan="4" rowspan="2">決済トランザクション情報</th>
      <th class="rititle2" nowrap colspan="47">サービス固有項目</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="2">電子マネー</th>
      <th class="rititle2" nowrap colspan="2">コンビニ</th>
      <th class="rititle2" nowrap colspan="2">銀行</th>
      <th class="rititle2" nowrap colspan="2">クレジットカード</th>
      <th class="rititle2" nowrap colspan="2">クレジットカード（MPI）</th>
      <th class="rititle2" nowrap colspan="2">PayPal</th>
      <th class="rititle2" nowrap colspan="2">Saison</th>
      <th class="rititle2" nowrap colspan="6">銀聯ネット決済(UPOP)</th>
      <th class="rititle2" nowrap colspan="7">Alipay</th>
      <th class="rititle2" nowrap colspan="3">キャリア</th>
      <th class="rititle2" nowrap colspan="2">ショッピングクレジット</th>
      <th class="rititle2" nowrap colspan="4">楽天ID決済</th>
      <th class="rititle2" nowrap colspan="3">リクルートかんたん支払い</th>
      <th class="rititle2" nowrap colspan="3">LINE Pay</th>
      <th class="rititle2" nowrap colspan="2">MasterPass決済</th>
      <th class="rititle2" nowrap colspan="3">銀行振込決済</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <!-- オーダー情報 -->
      <th class="rititle2" nowrap>取引ID</th>
      <th class="rititle2" nowrap>決済サービスタイプ</th>
      <th class="rititle2" nowrap>オーダー決済状態</th>

      <!-- 決済トランザクション情報 -->
      <th class="rititle2" nowrap>コマンド</th>
      <th class="rititle2" nowrap>ステータスコード</th>
      <th class="rititle2" nowrap>結果コード</th>
      <th class="rititle2" nowrap>金額</th>

      <!-- 電子マネー -->
      <th class="rititle2" nowrap>決済金額</th>
      <th class="rititle2" nowrap>取引日時</th>

      <!-- コンビニ -->
      <th class="rititle2" nowrap>決済金額</th>
      <th class="rititle2" nowrap>取引日時</th>

      <!-- 銀行 -->
      <th class="rititle2" nowrap>金額</th>
      <th class="rititle2" nowrap>取引日時</th>

      <!-- クレジットカード -->
      <th class="rititle2" nowrap>要求通貨単位</th>
      <th class="rititle2" nowrap>要求カード番号</th>

      <!-- クレジットカード（MPI） -->
      <th class="rititle2" nowrap>要求通貨単位</th>
      <th class="rititle2" nowrap>要求カード番号</th>

      <!-- PayPal -->
      <th class="rititle2" nowrap>請求番号</th>
      <th class="rititle2" nowrap>金額</th>

      <!-- 永久不滅ポイント -->
      <th class="rititle2" nowrap>ウォレット決済金額</th>
      <th class="rititle2" nowrap>永久不滅ウォレット残高</th>
      
      <!-- UPOP -->
      <th class="rititle2" nowrap>清算金額</th>
      <th class="rititle2" nowrap>清算日付</th>
      <th class="rititle2" nowrap>清算通貨</th>
      <th class="rititle2" nowrap>為替日付</th>
      <th class="rititle2" nowrap>清算レート</th>
      <th class="rititle2" nowrap>決済センターとの取引ID</th>
      
      <!-- Alipay -->
      <th class="rititle2" nowrap>決済センターとの取引ID</th>
      <th class="rititle2" nowrap>詳細コマンドタイプ</th>
      <th class="rititle2" nowrap>清算金額</th>      
      <th class="rititle2" nowrap>清算通貨</th>
      <th class="rititle2" nowrap>支払い日付</th>
      <th class="rititle2" nowrap>清算日付</th>
      <th class="rititle2" nowrap>決済種別</th>
      
      <!-- キャリア -->
      <th class="rititle2" nowrap>キャリア結果コード</th>
      <th class="rititle2" nowrap>キャリアへの要求日時</th>
      <th class="rititle2" nowrap>キャリアからの返戻日時</th>
      
      <!-- ショッピングクレジット -->
      <th class="rititle2" nowrap>商品価格合計</th>
      <th class="rititle2" nowrap>審査結果コード</th>
      
      <!-- 楽天 -->
      <th class="rititle2" nowrap>楽天APIエラーコード</th>
      <th class="rititle2" nowrap>楽天取引エラーコード</th>
      <th class="rititle2" nowrap>楽天への要求日時</th>
      <th class="rititle2" nowrap>楽天からの返戻日時</th>

      <!-- リクルート -->
      <th class="rititle2" nowrap>リクルートエラーコード</th>
      <th class="rititle2" nowrap>リクルートへの要求日時</th>
      <th class="rititle2" nowrap>リクルートからの返戻日時</th>

      <!-- LINE Pay -->
      <th class="rititle2" nowrap>LINE Payエラーコード</th>
      <th class="rititle2" nowrap>LINE Payへの要求日時</th>
      <th class="rititle2" nowrap>LINE Payからの返戻日時</th>
      
      <!-- MasterPass決済 -->
      <th class="rititle2" nowrap>MasterPass決済への要求日時</th>
      <th class="rititle2" nowrap>MasterPass決済からの返戻日時</th>

      <!-- 銀行振込 -->
      <th class="rititle2" nowrap>入金総額</th>
      <th class="rititle2" nowrap>登録時振込番号</th>
      <th class="rititle2" nowrap>入金日</th>

    </tr>
<%
  if (order_info != null) {
    foreach (OrderInfo target in order_info) {
      String target_orderId       = target.OrderId;       // オーダーID
      String target_serviceTypeCd = target.ServiceTypeCd; // 決済サービスタイプ
      String target_orderStatus   = target.OrderStatus;   // オーダー決済状態

      TransactionInfos transactionInfos = target.TransactionInfos;
      TransactionInfo[] transactionInfo = transactionInfos.TransactionInfo;

      String transaction_command     = transactionInfo[0].Command;     // コマンド
      String transaction_mstatus     = transactionInfo[0].Mstatus;     // ステータスコード
      String transaction_vResultCode = transactionInfo[0].VResultCode; // 結果コード
      String transaction_amount      = transactionInfo[0].Amount;      // 金額
      if (transactionInfo != null && 0 < transactionInfo.Length) {
        transaction_command     = transactionInfo[0].Command;     // コマンド
        transaction_mstatus     = transactionInfo[0].Mstatus;     // ステータスコード
        transaction_vResultCode = transactionInfo[0].VResultCode; // 結果コード
        transaction_amount      = transactionInfo[0].Amount;      // 金額
      }

      ProperOrderInfo properOrderInfo = target.ProperOrderInfo;
      ProperTransactionInfo properTransactionInfo = null;
      if (transactionInfo != null && 0 < transactionInfo.Length) {
        properTransactionInfo = transactionInfo[0].ProperTransactionInfo;
      }


      // サービス固有項目
      String em_amount                      = "";
      String em_centerProcDatetime          = "";
      String cvs_amount                     = "";
      String cvs_startDatetime              = "";
      String bank_amount                    = "";
      String bank_startDatetime             = "";
      String card_requestCurrencyUnit       = "";
      String card_reqCardNumber             = "";
      String mpi_requestCurrencyUnit        = "";
      String mpi_reqCardNumber              = "";
      String paypal_invoiceId               = "";
      String paypal_amount                  = "";
      String saison_walletAmount            = "";
      String saison_aqAqfWalletBalance      = "";
      String upop_settle_amount             = "";
      String upop_settle_date               = "";
      String upop_settle_currency           = "";
      String upop_exchangedate              = "";
      String upop_exchangerate              = "";
      String upop_order_id                  = "";
      String alipay_center_trade_id         = "";
      String alipay_txn_type                = "";
      String alipay_settle_amount           = "";
      String alipay_settle_currency         = "";
      String alipay_payment_time            = "";
      String alipay_settlement_time         = "";
      String alipay_pay_type                = "";
      String carrier_crResultCode           = "";
      String carrier_crRequestDatetime      = "";
      String carrier_crResponseDatetime     = "";
      String oricosc_orderStateCode         = "";
      String oricosc_totalItemAmount        = "";
      String rakuten_apiErrorCode           = "";
      String rakuten_orderErrorCode         = "";
      String rakuten_reqeustDatetime        = "";
      String rakuten_responseDatetime       = "";
      String recruit_errorCode              = "";
      String recruit_requestDatetime        = "";
      String recruit_responseDatetime       = "";
      String linepay_errorCode              = "";
      String linepay_requestDatetime        = "";
      String linepay_responseDatetime       = "";
      String masterpass_requestDatetime     = "";
      String masterpass_responseDatetime    = "";
      String virtualacc_totalDepositAmount  = "";
      String virtualacc_entryTransferNumber = "";
      String virtualacc_depositDate         = "";

      // 電子マネー
      if ("em".Equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          em_amount = properOrderInfo.Amount; // オーダー情報 : 決済金額
        }
        if (properTransactionInfo != null) {
          em_centerProcDatetime = properTransactionInfo.CenterProcDatetime; // トランザクション情報 : 取引日時
        }
      }

      // コンビニ
      if ("cvs".Equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          cvs_amount = properOrderInfo.Amount; // オーダー情報 : 決済金額
        }
        if (properTransactionInfo != null) {
          cvs_startDatetime = properTransactionInfo.StartDatetime; // トランザクション情報 : 取引日時
        }
      }

      // 銀行
      if ("bank".Equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          bank_amount = properOrderInfo.Amount; // オーダー情報 : 金額
        }
        if (properTransactionInfo != null) {
          bank_startDatetime = properTransactionInfo.StartDatetime; // トランザクション情報 : 取引日時
        }
      }

      // クレジットカード
      if ("card".Equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          card_requestCurrencyUnit = properOrderInfo.RequestCurrencyUnit; // オーダー情報 : 要求通貨単位
        }
        if (properTransactionInfo != null) {
          card_reqCardNumber = properTransactionInfo.ReqCardNumber; // トランザクション情報 : 要求カード番号
        }
      }

      // クレジットカード（MPI）
      if ("mpi".Equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          mpi_requestCurrencyUnit = properOrderInfo.RequestCurrencyUnit; // オーダー情報 : 要求通貨単位
        }
        if (properTransactionInfo != null) {
          mpi_reqCardNumber = properTransactionInfo.ReqCardNumber; // トランザクション情報 : 要求カード番号
        }
      }

      // PayPal
      if ("paypal".Equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          paypal_invoiceId = properOrderInfo.InvoiceId; // オーダー情報 : 請求番号
        }
        if (properTransactionInfo != null) {
          paypal_amount = properTransactionInfo.Amount; // トランザクション情報 : 金額
        }
      }
      // 永久不滅ポイント
      if ("saison".Equals(target_serviceTypeCd))
      {
          if (properOrderInfo != null)
          {
              saison_walletAmount = properOrderInfo.WalletAmount; // オーダー情報 : ウォレット決済金額
          }
          if (properTransactionInfo != null)
          {
              saison_aqAqfWalletBalance = properTransactionInfo.AqAqfWalletBalance; // トランザクション情報 : 永久不滅ウォレット残高
          }
      }
      // UPOP
      if ("upop".Equals(target_serviceTypeCd))
      {
          if (properTransactionInfo != null)
          {
              upop_settle_amount = properTransactionInfo.ResUpopSettleAmount;
              upop_settle_date = properTransactionInfo.ResUpopSettleDate;
              upop_settle_currency = properTransactionInfo.ResUpopSettleCurrency;
              upop_exchangedate = properTransactionInfo.ResUpopExchangeDate;
              upop_exchangerate = properTransactionInfo.ResUpopExchangeRate;
              upop_order_id = properTransactionInfo.ResUpopOrderId;
          }
      }
        
      // Alipay
      if ("alipay".Equals(target_serviceTypeCd))
      {
          if (properTransactionInfo != null)
          {
              alipay_center_trade_id = properTransactionInfo.CenterTradeId;
              alipay_txn_type = properTransactionInfo.AlipayTxnType;
              alipay_settle_amount = properTransactionInfo.SettleAmount;
              alipay_settle_currency = properTransactionInfo.SettleCurrency;
              alipay_payment_time = properTransactionInfo.PaymentTime;
              alipay_settlement_time = properTransactionInfo.SettlementTime;
              alipay_pay_type = properTransactionInfo.PayType;
          }
      }
      // キャリア
      if ("carrier".Equals(target_serviceTypeCd))
      {
          if (properTransactionInfo != null)
          {
              carrier_crResultCode = properTransactionInfo.CrResultCode;
              carrier_crRequestDatetime = properTransactionInfo.CrRequestDatetime;
              carrier_crResponseDatetime = properTransactionInfo.CrResponseDatetime;
          }
      }

      // ショッピングクレジット
      if ("oricosc".Equals(target_serviceTypeCd))
      {
          if (properOrderInfo != null)
          {
              oricosc_totalItemAmount = properOrderInfo.TotalItemAmount; // オーダー情報 : 商品価格合計
          }
          if (properTransactionInfo != null)
          {
              oricosc_orderStateCode = properTransactionInfo.OrderStateCode; // トランザクション情報 : 審査結果コード
          }
      }

      // 楽天
      if ("rakuten".Equals(target_serviceTypeCd))
      {
          if (properTransactionInfo != null)
          {
              rakuten_apiErrorCode = properTransactionInfo.RakutenApiErrorCode;
              rakuten_orderErrorCode = properTransactionInfo.RakutenOrderErrorCode;
              rakuten_reqeustDatetime = properTransactionInfo.RakutenRequestDatetime;
              rakuten_responseDatetime = properTransactionInfo.RakutenResponseDatetime;
          }
      }

      // リクルート
      if ("recruit".Equals(target_serviceTypeCd))
      {
          if (properTransactionInfo != null)
          {
              recruit_errorCode = properTransactionInfo.RecruitErrorCode;
              recruit_requestDatetime = properTransactionInfo.RecruitRequestDatetime;
              recruit_responseDatetime = properTransactionInfo.RecruitResponseDatetime;
          }
      }

      // LINE Pay
      if ("linepay".Equals(target_serviceTypeCd))
      {
          if (properTransactionInfo != null)
          {
              linepay_errorCode = properTransactionInfo.LinepayErrorCode;
              linepay_requestDatetime = properTransactionInfo.LinepayRequestDatetime;
              linepay_responseDatetime = properTransactionInfo.LinepayResponseDatetime;
          }
      }

      // MasterPass決済
      if ("masterpass".Equals(target_serviceTypeCd))
      {
          if (properTransactionInfo != null)
          {
              masterpass_requestDatetime = properTransactionInfo.MasterpassRequestDatetime;
              masterpass_responseDatetime = properTransactionInfo.MasterpassResponseDatetime;
          }
      }

      // 銀行振込
      if ("virtualacc".Equals(target_serviceTypeCd))
      {
          if (properOrderInfo != null) {
              virtualacc_totalDepositAmount = properOrderInfo.TotalDepositAmount;
              virtualacc_entryTransferNumber = properOrderInfo.EntryTransferNumber;
              virtualacc_depositDate = properTransactionInfo.DepositDate;
          }
      }

%>
    <tr>
      <!-- オーダー情報 -->
      <% if ("carrier".Equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./carrier/SearchExec.aspx?orderId=<%=target_orderId %>'><%= target_orderId%></a><br/></td>
      <% } else if ("rakuten".Equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./rakuten/SearchExec.aspx?orderId=<%=target_orderId %>'><%= target_orderId%></a><br/></td>
      <% } else if ("recruit".Equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./recruit/SearchExec.aspx?orderId=<%=target_orderId %>'><%= target_orderId%></a><br/></td>
      <% } else if ("linepay".Equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./linepay/SearchExec.aspx?orderId=<%=target_orderId %>'><%= target_orderId%></a><br/></td>
      <% } else if ("masterpass".Equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./masterpass/SearchExec.aspx?orderId=<%=target_orderId %>'><%= target_orderId%></a><br/></td>
      <% } else if ("virtualacc".Equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./virtualacc/SearchExec.aspx?orderId=<%=target_orderId %>'><%= target_orderId%></a><br/></td>
      <% } else if ("alipay".Equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./alipay/SearchExec.aspx?orderId=<%=target_orderId %>'><%= target_orderId%></a><br/></td>
      <% } else if ("upop".Equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./upop/SearchExec.aspx?orderId=<%=target_orderId %>'><%= target_orderId%></a><br/></td>
      <% } else { %>
      <td class="rivalue2" nowrap><%= target_orderId%><br/></td>
      <% } %>
      <td class="rivalue2" nowrap><%= target_serviceTypeCd %><br/></td>
      <td class="rivalue2" nowrap><%= target_orderStatus %><br/></td>

      <!-- 決済トランザクション情報 -->
      <td class="rivalue2" nowrap><%= transaction_command %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_mstatus %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_vResultCode %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_amount %><br/></td>

      <!-- 電子マネー -->
      <td class="rivalue2" nowrap><%= em_amount %><br/></td>
      <td class="rivalue2" nowrap><%= em_centerProcDatetime %><br/></td>

      <!-- コンビニ -->
      <td class="rivalue2" nowrap><%= cvs_amount %><br/></td>
      <td class="rivalue2" nowrap><%= cvs_startDatetime %><br/></td>

      <!-- 銀行 -->
      <td class="rivalue2" nowrap><%= bank_amount %><br/></td>
      <td class="rivalue2" nowrap><%= bank_startDatetime %><br/></td>

      <!-- クレジットカード -->
      <td class="rivalue2" nowrap><%= card_requestCurrencyUnit %><br/></td>
      <td class="rivalue2" nowrap><%= card_reqCardNumber %><br/></td>

      <!-- クレジットカード（MPI） -->
      <td class="rivalue2" nowrap><%= mpi_requestCurrencyUnit %><br/></td>
      <td class="rivalue2" nowrap><%= mpi_reqCardNumber %><br/></td>

      <!-- PayPal -->
      <td class="rivalue2" nowrap><%= paypal_invoiceId %><br/></td>
      <td class="rivalue2" nowrap><%= paypal_amount %><br/></td>

      <!-- 永久不滅ポイント(永久不滅ウォレット) -->
      <td class="rivalue2" nowrap><%= saison_walletAmount %><br/></td>
      <td class="rivalue2" nowrap><%= saison_aqAqfWalletBalance %><br/></td>
      
      <!-- UPOP -->
      <td class="rivalue2" nowrap><%= upop_settle_amount %><br /></td>
      <td class="rivalue2" nowrap><%= upop_settle_date %><br /></td>
      <td class="rivalue2" nowrap><%= upop_settle_currency %><br /></td>
      <td class="rivalue2" nowrap><%= upop_exchangedate %><br /></td>
      <td class="rivalue2" nowrap><%= upop_exchangerate %><br /></td>
      <td class="rivalue2" nowrap><%= upop_order_id %><br /></td>
      
      <!-- Alipay -->
      <td class="rivalue2" nowrap><%= alipay_center_trade_id %><br /></td>
      <td class="rivalue2" nowrap><%= alipay_txn_type %><br /></td>
      <td class="rivalue2" nowrap><%= alipay_settle_amount %><br /></td>
      <td class="rivalue2" nowrap><%= alipay_settle_currency %><br /></td>
      <td class="rivalue2" nowrap><%= alipay_payment_time %><br /></td>
      <td class="rivalue2" nowrap><%= alipay_settlement_time %><br /></td>
      <td class="rivalue2" nowrap><%= alipay_pay_type %><br /></td>

      <!-- キャリア -->
      <td class="rivalue2" nowrap><%= carrier_crResultCode %><br /></td>
      <td class="rivalue2" nowrap><%= carrier_crRequestDatetime %><br /></td>
      <td class="rivalue2" nowrap><%= carrier_crResponseDatetime %><br /></td>

      <!-- ショッピングクレジット -->
      <td class="rivalue2" nowrap><%= oricosc_totalItemAmount %><br /></td>
      <td class="rivalue2" nowrap><%= oricosc_orderStateCode %><br /></td>
      
      <!-- 楽天 -->
      <td class="rivalue2" nowrap><%= rakuten_apiErrorCode %><br /></td>
      <td class="rivalue2" nowrap><%= rakuten_orderErrorCode %><br /></td>
      <td class="rivalue2" nowrap><%= rakuten_reqeustDatetime %><br /></td>
      <td class="rivalue2" nowrap><%= rakuten_responseDatetime %><br /></td>

      <!-- リクルート -->
      <td class="rivalue2" nowrap><%= recruit_errorCode %><br /></td>
      <td class="rivalue2" nowrap><%= recruit_requestDatetime %><br /></td>
      <td class="rivalue2" nowrap><%= recruit_responseDatetime %><br /></td>

      <!-- LINE Pay -->
      <td class="rivalue2" nowrap><%= linepay_errorCode %><br /></td>
      <td class="rivalue2" nowrap><%= linepay_requestDatetime %><br /></td>
      <td class="rivalue2" nowrap><%= linepay_responseDatetime %><br /></td>

      <!-- MasterPass決済 -->
      <td class="rivalue2" nowrap><%= masterpass_requestDatetime %><br /></td>
      <td class="rivalue2" nowrap><%= masterpass_responseDatetime %><br /></td>

      <!-- 銀行振込 -->
      <td class="rivalue2" nowrap><%= virtualacc_totalDepositAmount %><br /></td>
      <td class="rivalue2" nowrap><%= virtualacc_entryTransferNumber %><br /></td>
      <td class="rivalue2" nowrap><%= virtualacc_depositDate %><br /></td>

    </tr>
<%
    }
  }
%>
  </table>

  <br/>
  <a href="./Search.aspx">検索条件へ戻る</a>&nbsp;&nbsp;

  <hr>
  <img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
