﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SearchExec.aspx.cs" Inherits="web.search.virtualacc.SearchExec" %>

<%@ Import Namespace="jp.veritrans.tercerog.mdk.dto" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <title>取引検索結果(銀行振込)</title>
  <link href="../../css/style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <img alt="Paymentロゴ" src="../../WEB-IMG/VeriTrans_Payment.png"/><hr/>
  <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G 取引検索のサンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
  </div>

  <asp:Label ID="errorMessage" runat="server"/>

  <div class="lhtitle">検索結果（銀行振込）</div>
  <h2>オーダー情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="2">オーダー情報</th>
    </tr>
<%
  if (order_info != null) 
  {
      String target_orderId              = order_info.OrderId;              // オーダーID
      String target_serviceTypeCd        = order_info.ServiceTypeCd;        // 決済サービスタイプ
      String target_orderStatus          = order_info.OrderStatus;          // オーダー決済状態
      String target_lastSuccessTxnType   = order_info.LastSuccessTxnType;   // 最終成功トランザクションタイプ
      String target_successDetailTxnType = order_info.SuccessDetailTxnType; // 詳細トランザクションタイプ
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>取引ID</td>
      <td class="rivalue2" nowrap><%= target_orderId %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済サービスタイプ</td>
      <td class="rivalue2" nowrap><%= target_serviceTypeCd %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>オーダー決済状態</td>
      <td class="rivalue2" nowrap><%= target_orderStatus %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>最終成功トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= target_lastSuccessTxnType %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>詳細トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= target_successDetailTxnType %><br/></td>
    </tr>
    
<% 
  } 
%>   
  </table>
  <br/>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="8">固有オーダー情報</th>
    </tr>
<%
    if (order_info != null) {
      ProperOrderInfo properOrderInfo = order_info.ProperOrderInfo;
      String target_vaccDepositStatusType = properOrderInfo.VaccDepositStatusType; // 入金状態
      String target_transferExpiredDate   = properOrderInfo.TransferExpiredDate;   // 振込期限
      String target_reconcileDate         = properOrderInfo.ReconcileDate;         // 消込日
      String target_totalDepositAmount    = properOrderInfo.TotalDepositAmount;    // 入金総額
      String target_entryTransferName     = properOrderInfo.EntryTransferName;     // 登録時振込人名
      String target_entryTransferNumber   = properOrderInfo.EntryTransferNumber;   // 登録時振込番号
      String target_accountNumber         = properOrderInfo.AccountNumber;         // 口座番号
      String target_accountManageType     = properOrderInfo.AccountManageType;     // 口座管理方式
%>
   <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>入金状態</td>
      <td class="rivalue2" nowrap width="100"><%= target_vaccDepositStatusType %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>振込期限</td>
      <td class="rivalue2" nowrap width="200"><%= target_transferExpiredDate %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>消込日</td>
      <td class="rivalue2" nowrap width="200"><%= target_reconcileDate %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>入金総額</td>
      <td class="rivalue2" nowrap><%= target_totalDepositAmount %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>登録時振込人名</td>
      <td class="rivalue2" nowrap width="300"><%= target_entryTransferName %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>登録時振込番号</td>
      <td class="rivalue2" nowrap><%= target_entryTransferNumber %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>口座番号</td>
      <td class="rivalue2" nowrap><%= target_accountNumber %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>口座管理方式</td>
      <td class="rivalue2" nowrap><%= target_accountManageType %><br/></td>
    </tr>

<%
  }
%>
  </table>
  <br/>
  <h2>トランザクション情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="6">決済トランザクション情報</th>
      <th class="rititle2" nowrap colspan="6">固有トランザクション情報</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <!-- 決済トランザクション情報 -->
      <th class="rititle2" nowrap width="65">管理ID</th>
      <th class="rititle2" nowrap width="120">コマンド</th>
      <th class="rititle2" nowrap width="130">ステータスコード</th>
      <th class="rititle2" nowrap width="145">結果コード</th>
      <th class="rititle2" nowrap width="180">取引日時</th>
      <th class="rititle2" nowrap width="100">金額</th>

      <!-- 固有トランザクション情報 -->
      <th class="rititle2" nowrap width="120">消込フラグ</th>
      <th class="rititle2" nowrap width="120">入金ID</th>
      <th class="rititle2" nowrap width="120">登録方法</th>
      <th class="rititle2" nowrap width="120">入金日</th>
      <th class="rititle2" nowrap width="200">振込人名</th>
    </tr>
<%
  if (order_info != null) {
    TransactionInfos transactionInfos = order_info.TransactionInfos;
    TransactionInfo[] transactionInfo = transactionInfos.TransactionInfo;

    String transaction_txnId       = "";
    String transaction_command     = "";
    String transaction_mstatus     = "";
    String transaction_vResultCode = "";
    String transaction_txnDatetime = "";
    String transaction_amount      = "";

    String with_reconcile      = "";
    String deposit_id          = "";
    String registration_method = "";
    String deposit_date        = "";
    String transfer_name       = "";

    if (transactionInfo != null && 0 < transactionInfo.Length) {
      for (int i = 0; i < transactionInfo.Length; i++) {
        transaction_txnId       = transactionInfo[i].TxnId;       // トランザクション管理ID
        transaction_command     = transactionInfo[i].Command;     // コマンド
        transaction_mstatus     = transactionInfo[i].Mstatus;     // ステータスコード
        transaction_vResultCode = transactionInfo[i].VResultCode; // 結果コード
        transaction_txnDatetime = transactionInfo[i].TxnDatetime; // 取引日時
        transaction_amount      = transactionInfo[i].Amount;      // 金額

        ProperTransactionInfo properTransactionInfo = transactionInfo[i].ProperTransactionInfo;
        if (properTransactionInfo != null) {
            with_reconcile      = properTransactionInfo.WithReconcile;      // 消込フラグ
            deposit_id          = properTransactionInfo.DepositId;          // 入金ID
            registration_method = properTransactionInfo.RegistrationMethod; // 登録方法
            deposit_date        = properTransactionInfo.DepositDate;        // 入金日
            transfer_name       = properTransactionInfo.TransferName;       // 振込人名
        }
%>
    <tr>
      <!-- 決済トランザクション情報 -->
      <td class="rivalue2" nowrap><%= transaction_txnId %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_command %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_mstatus %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_vResultCode %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_txnDatetime %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_amount %><br/></td>
      <!-- 固有トランザクション情報 -->
      <td class="rivalue2" nowrap><%= with_reconcile %><br/></td>
      <td class="rivalue2" nowrap><%= deposit_id %><br/></td>
      <td class="rivalue2" nowrap><%= registration_method %><br/></td>
      <td class="rivalue2" nowrap><%= deposit_date %><br/></td>
      <td class="rivalue2" nowrap><%= transfer_name %><br/></td>
    </tr>
<%
      }
    }
  }
%>
  </table>    
  <br/>
  <a href="../Search.aspx">検索条件へ戻る</a>&nbsp;&nbsp;

  <hr>
  <img alt="VeriTransロゴ" src="../../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>

