﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using System.Text;

namespace MdkSampleDotNet.upop
{
    public partial class AuthorizeResult : System.Web.UI.Page
    {

        /// <summary>
        /// 初期表示イベント。
        /// パラメータを元に、GWと通信を行う。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            String tmp = Request["orderId"];
            String merchantSecret = MerchantContext.Config.GetValue(MerchantConfig.MERCHANT_SECRET_KEY);
            String authInfo = Request["authInfo"];
            pnError.Visible = false;
            pnResult.Visible = false;
            int auth = 0;
            if (!String.IsNullOrEmpty(authInfo))
            {
                String[] keys = authInfo.Split('-');
                if (keys.Length == 3)
                {
                    String merchantCcid = Encoding.Default.GetString(Util.FromBase64(keys[0]));
                    String now = Encoding.Default.GetString(Util.FromBase64(keys[1]));
                    String receivedHash = Encoding.Default.GetString(Util.FromBase64(keys[2]));
                    String hashedData = HashUtils.GetInstance.GetDigest(new String[] { merchantCcid, now, merchantSecret });
                    if (hashedData.Equals(receivedHash))
                    {
                        auth = 1;
                        // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                        // 結果画面に表示します。
                        // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                        OrderId.Text = Request["orderId"];
                        Mstatus.Text = Request["mstatus"];
                        VResultCode.Text = Request["vResultCode"];
                        MerrMsg.Text = Request["merrMsg"];
                        CustTxn.Text = Request["custTxn"];
                        TxnDatetimeJp.Text = Request["txnDatetimeJp"];
                        TxnDatetimeCn.Text = Request["txnDatetimeCn"];
                        CaptureAmount.Text = Request["capturedAmount"];
                        SettleAmount.Text = Request["settleAmount"];
                        SettleDate.Text = Request["settleDate"];
                        SettleCurrency.Text = Request["settleCurrency"];
                        SettleRate.Text = Request["settleRate"];
                        UpopOrderId.Text = Request["upopOrderId"];
                    }
                }
            }
            pnResult.Visible = (auth == 1);
            pnError.Visible = (auth == 0);
        }
    }
}
