﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace ConsoleApplication.masterpass
{
    public class CLI_MasterpassLogin
    {
        public virtual void Exec()
        {
            // 取引ID
            String orderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");

            // 表示用商品説明
            String description1 = "sample商品";

            // 表示用商品数量1
            String quantity1 = "1";

            // 表示用商品金額1
            String value1 = "10";

            // 合計金額
            String itemAmount = "10";

            // 商品番号
            String itemId = "123456";

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new MasterpassLoginRequestDto();
            requestData.OrderId = orderId;
            requestData.Description1 = description1;
            requestData.Quantity1 = quantity1;
            requestData.Value1 = value1;
            requestData.ItemAmount = itemAmount;
            requestData.ItemId = itemId;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction();
            var responseData = (MasterpassLoginResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("ItemAmount:" + requestData.ItemAmount);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
        }
    }
}
