﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace ConsoleApplication.rakuten
{
    /// <summary>
    /// rakutenID決済(売上)サンプル
    /// </summary>
    class CLI_RakutenCapture
    {
        public virtual void Exec()
        {
            /**
             * 取引ID
             * 与信完了取引のIDを指定
             */
            String orderId = "dummy1413454085213";

            RakutenCaptureRequestDto requestData = new RakutenCaptureRequestDto();
            requestData.OrderId = orderId;

            /**
             * 実行と結果の表示
             */
            Transaction tran = new Transaction();
            RakutenCaptureResponseDto responseData = (RakutenCaptureResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);


        }
    }
}
