﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AdminMenu.aspx.cs" Inherits="MdkSampleDotNet.AdminMenu" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <title>取引管理メニューサンプル</title>
  <link href="./css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<img alt="Paymentロゴ" src='./WEB-IMG/VeriTrans_Payment.png'/><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 取引管理用のメニューのサンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>
<div class="lhtitle">各種管理メニュー</div>

<table border="1" cellpadding="0" cellspacing="0">
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">カード取引</td></tr>
  <tr><td width="400"><a href="./card/Capture.aspx">売上請求</a></td></tr>
  <tr><td width="400"><a href="./card/Cancel.aspx">取消請求</a></td></tr>
  <tr><td width="400"><a href="./card/ReAuthorize.aspx">再与信請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">MPI取引</td></tr>
  <tr><td width="400"><a href="./mpi/ReAuthorize.aspx">再与信請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">コンビニ取引</td></tr>
  <tr><td width="400"><a href="./cvs/Cancel.aspx">取消請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">電子マネー取引</td></tr>
  <tr><td width="400"><a href="./em/Cancel.aspx">取消請求</a></td></tr>
  <tr><td width="400"><a href="./em/Refund.aspx">返金請求</a></td></tr>
  <tr><td width="400"><a href="./em/Remove.aspx">カード情報削除</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">PayPal取引</td></tr>
  <tr><td width="400"><a href="./paypal/Capture.aspx">売上請求</a></td></tr>
  <tr><td width="400"><a href="./paypal/Cancel.aspx">取消請求</a></td></tr>
  <tr><td width="400"><a href="./paypal/Refund.aspx">返金請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">永久不滅ポイント取引</td></tr>
  <tr><td width="400"><a href="./saison/Cancel.aspx">取消請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">銀聯ネット決済(UPOP)</td></tr>
  <tr><td width="400"><a href="./upop/Capture.aspx">売上請求</a></td></tr>
  <tr><td width="400"><a href="./upop/Cancel.aspx">取消請求</a></td></tr>
  <tr><td width="400"><a href="./upop/Refund.aspx">返金請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">Alipay決済取引</td></tr>
  <tr><td width="400"><a href="./alipay/Refund.aspx">返金請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">銀行取引</td></tr>
  <tr><td width="400"><a href="./bank/BankList.aspx">決済金融機関一覧</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">キャリア決済</td></tr>
  <tr><td width="400"><a href="./carrier/Capture.aspx">売上請求</a></td></tr>
  <tr><td width="400"><a href="./carrier/Cancel.aspx">取消請求</a></td></tr>
  <tr><td width="400"><a href="./carrier/Terminate.aspx?Admin=true">継続課金終了請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">楽天ID決済</td></tr>
  <tr><td width="400"><a href="./rakuten/Capture.aspx">売上請求</a></td></tr>
  <tr><td width="400"><a href="./rakuten/Cancel.aspx">取消請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">リクルートかんたん支払い</td></tr>
  <tr><td width="400"><a href="./recruit/Capture.aspx">売上請求</a></td></tr>
  <tr><td width="400"><a href="./recruit/Cancel.aspx">取消請求</a></td></tr>
  <tr><td width="400"><a href="./recruit/ExtendAuth.aspx">与信期限延長請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">LINE Pay</td></tr>
  <tr><td width="400"><a href="./linepay/Capture.aspx">売上請求</a></td></tr>
  <tr><td width="400"><a href="./linepay/Cancel.aspx">取消請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">MasterPass決済</td></tr>
  <tr><td width="400"><a href="./masterpass/Capture.aspx">売上請求</a></td></tr>
  <tr><td width="400"><a href="./masterpass/Cancel.aspx">取消請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">銀行振込決済</td></tr>
  <tr><td width="400"><a href="./virtualacc/Cancel.aspx">取消請求</a></td></tr>
  <tr><td width="400"><a href="./virtualacc/DepositEntry.aspx">入金請求</a></td></tr>
  <tr><td width="400"><a href="./virtualacc/DepositReverse.aspx">入金取消請求</a></td></tr>
  <tr><td width="400"><a href="./virtualacc/Reconcile.aspx">消込請求</a></td></tr>
  <tr><td width="400"><a href="./virtualacc/UndoReconcile.aspx">消込取消請求</a></td></tr>
</table>
</td>
</tr>
<tr>
<td>
<table border="0" cellpadding="0" cellspacing="5">
  <tr><td width="400" bgcolor="#33aaff">検索機能</td></tr>
  <tr><td width="400"><a href="./search/Search.aspx">各種検索</a></td></tr>
</table>
</td>
</tr>
</table>
<br/>
<a href="./PaymentMethodSelect.aspx">消費者向け決済メニューサンプルはこちら</a>&nbsp;&nbsp;

<hr/>
<img alt="VeriTransロゴ" src='./WEB-IMG/VeriTransLogo_WH.png'/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
