﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="PaymentMethodSelect.aspx.cs" Inherits="MdkSampleDotNet.PaymentMethodSelect" %>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <link href="./css/style.css" rel="stylesheet" type="text/css" />
    <title>決済方法選択</title>
</head>
<body>
    <img src='./WEB-IMG/VeriTrans_Payment.png' alt='Paymentロゴ'/><hr/>
    <table border="0">
      <tr>
        <td>接続先</td>
        <td>：</td>
        <td><asp:Label ID="ServerName" runat="server"/></td>
      </tr>
      <tr>
        <td>接続モード</td>
        <td>：</td>
        <td><asp:Label ID="DummyMode" runat="server"/></td>
      </tr>
    </table><hr/>
    <div class="system-message">
    <font size="2">
    本プログラムはVeriTrans4Gをご利用して頂くためのサンプルプログラムです。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    尚、本サンプルプログラムはVeriTrans4Gと連動させるための基本的な処理手順を示したものになりますので、<br/>
    導入の際においては開発ガイドも合わせてご参照して頂いたうえ、お客様ECサイトに適した形式にカスタマイズしてください。<br/>
    </font>
    </div>
    <div class="lhtitle">購入商品</div>


    <table>
    <tr>
    <td width="150" valign="top" class="imgItemFrm"><img alt="LOGO" src="./WEB-IMG/VeriTrans_TestProduct.png" width="150" height="150"/></td>
    <td valign="top">
    <table border="1" cellspacing="0" cellpadding="0" style="margin-left:20pt;">
      <tr>
        <td width="120" valign="top" class="hPayItem itemrbn"><strong>商品番号</strong></td>
        <td width="150" valign="top" class="hPayItem itemrbn"><strong>商品名</strong></td>
        <td width="60" valign="top" class="hPayItem itemrbn"><strong>数量</strong></td>
        <td width="90" valign="top" class="hPayItem"><strong>金額</strong></td>
      </tr>
      <tr>
        <td valign="top" class="payItem itemrbn">4G-S-001</td>
        <td valign="top" class="payItem itemrbn">サンプル商品</td>
        <td valign="top" class="payItem itemrbn" style="text-align:right;">1</td>
        <td valign="top" class="payItem" style="text-align:right;">10 円</td>
      </tr>
      <tr>
        <td valign="top" colspan="3" class="fPayItem itemrbn"><strong>合計金額</strong></td>
        <td valign="top" class="fPayItem" style="text-align:right;"><strong><asp:Label ID="lblTotalAmount" runat="server"/></strong> 円</td>
      </tr>
    </table>
    </td>
    </tr>
    </table>
    <div style="font-size:80%">（注）画像はイメージです。</div>
    <br/><br/>
    <div class="lhtitle">決済方法選択</div>
    下記から決済方法を選択してください。
    <form id="form1" runat="server">
    <ul style="list-style:none">
        <asp:RadioButtonList ID="RblMethod" runat="server">
            <asp:ListItem Selected="True" Value="card" Text="クレジットカード"></asp:ListItem>
            <asp:ListItem Selected="False" Value="mpi" Text="クレジットカード（本人認証あり）"></asp:ListItem>
            <asp:ListItem Selected="False" Value="cvs" Text="コンビニエンスストア"></asp:ListItem>
            <asp:ListItem Selected="False" Value="em" Text="電子マネー"></asp:ListItem>
            <asp:ListItem Selected="False" Value="bank" Text="銀行"></asp:ListItem>
            <asp:ListItem Selected="False" Value="paypal" Text="PayPal"></asp:ListItem>
            <asp:ListItem Selected="False" Value="saison" Text="永久不滅ポイント(永久不滅ウォレット)"></asp:ListItem>
            <asp:ListItem Selected="False" Value="upop" Text="銀聯ネット決済(UPOP)"></asp:ListItem>
            <asp:ListItem Selected="False" Value="alipay" Text="Alipay"></asp:ListItem>
            <asp:ListItem Selected="False" Value="carrier" Text="キャリア決済"></asp:ListItem>
            <asp:ListItem Selected="False" Value="oricosc" Text="ショッピングクレジット"></asp:ListItem>
            <asp:ListItem Selected="False" Value="rakuten" Text="楽天ID決済"></asp:ListItem>
            <asp:ListItem Selected="False" Value="recruit" Text="リクルートかんたん支払い"></asp:ListItem>
            <asp:ListItem Selected="False" Value="linepay" Text="LINE Pay"></asp:ListItem>
            <asp:ListItem Selected="False" Value="masterpass" Text="MasterPass決済"></asp:ListItem>
            <asp:ListItem Selected="False" Value="virtualacc" Text="銀行振込決済"></asp:ListItem>
        </asp:RadioButtonList>
    </ul>
    <asp:Button ID="btnSubmit" runat="server" Text="決済手続きへ" onclick="btnSubmit_Click"/>
    </form>
    <hr/>
    <ul class="flinkmenu">
        <li><a href="./AdminMenu.aspx">管理者向けメニューサンプルはこちら</a></li>
        <li><a href="./PayNowIdMenu.aspx">PayNowIDメニューサンプルはこちら</a></li>
    </ul>
    <hr/>
    <img src='./WEB-IMG/VeriTransLogo_WH.png' alt='Veritransロゴ'/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
