﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace MdkSampleDotNet.bank
{
    public partial class BankList : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            SearchRequestDto requestData = new SearchRequestDto();
            requestData.MasterNames = new String[]{"bankFinancialInstInfo"};


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            Transaction tran = new Transaction();
            SearchResponseDto responseData = (SearchResponseDto)tran.Execute(requestData);

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // テーブルに金融機関情報レコードを追加していく。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            MasterInfos masterInfos = responseData.MasterInfos;
            MasterInfo[] masterInfo = masterInfos.MasterInfo;
            Masters masters = masterInfo[0].Masters;
            BankFinancialInstInfo[] bankfinancials = masters.BankFinancialInstInfo;

            foreach (BankFinancialInstInfo info in bankfinancials)
            {
                if (info.DeviceCode == "01")
                {
                    TableRow row = new TableRow();

                    TableCell code = new TableCell();
                    code.Text = "<div align=\"center\">" + info.BankCode + "</div>";
                    row.Cells.Add(code);

                    TableCell name = new TableCell();
                    name.Text = "<div align=\"left\">" + info.BankName + "</div>";
                    row.Cells.Add(name);

                    BankListTable.Rows.Add(row);
                }
            }

            //TableRow row = new TableRow();

            //TableCell code = new TableCell();
            //code.Text = "<div align=\"center\">aaa</div>";
            //row.Cells.Add(code);

            //TableCell name = new TableCell();
            //name.Text = "<div align=\"left\">bbb</div>";
            //row.Cells.Add(name);

            //BankListTable.Rows.Add(row);

            //TableRow row2 = new TableRow();

            //TableCell code2 = new TableCell();
            //code2.Text = "<div align=\"center\">aaa</div>";
            //row2.Cells.Add(code2);

            //TableCell name2 = new TableCell();
            //name2.Text = "<div align=\"left\">bbb</div>";
            //row2.Cells.Add(name2);

            //BankListTable.Rows.Add(row2);
        }
    }
}
