﻿<%@ Page Language="C#" AutoEventWireup="True" CodeBehind="Authorize.aspx.cs" Inherits="MdkSampleDotNet.carrier.Authorize" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - キャリア決済与信サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G キャリア決済の取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    <table>
        <tr>
            <td>
                <div class="lhtitle">
                    キャリア決済：決済請求</div>
            </td>
            <td>
                <img alt="DOCOMO_LOGO" src='../WEB-IMG/Carrier_Docomo.jpg' height="45" width="120" />
                <img alt="AU_LOGO" src='../WEB-IMG/Carrier_Au.jpg' height="45" width="150" />
                <img alt="SOFTBANK_LOGO" src='../WEB-IMG/Carrier_Softbank.jpg' height="45" width="160" />
                <img alt="FLETS_LOGO" src='../WEB-IMG/Carrier_Flets.jpg' height="45" width="73" />
            </td>
            <td width="20">
                <br />
            </td>
        </tr>
    </table>
    <form id="Form1" name="FORM_CARRIER" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="ititletop">
                取引ID
            </td>
            <td class="ivaluetop">
                <asp:Label ID="orderId" runat="server" />&nbsp;&nbsp;
                <asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" OnClick="btnReplaceOrderId_Click" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                キャリア選択
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="serviceOptionType" runat="server">
                </asp:DropDownList>
                <br />
                <font size="2" color="red">※ソフトバンクまとめて支払い（B）：旧ソフトバンクケータイ支払い<br />
                    ※ソフトバンクまとめて支払い（A）：旧ソフトバンクまとめて支払い</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                金額
            </td>
            <td class="ivalue">
                <asp:TextBox ID="amount" runat="server" MaxLength="9" size="9" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                端末種別
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="terminalKind" runat="server">
                </asp:DropDownList>
                <br />
                <font size="2" color="red">※ドコモ：PC不可<br />
                    ※ソフトバンクまとめて支払い（B）：フィーチャーフォン不可<br />
                    ※ソフトバンクまとめて支払い（A）：フィーチャーフォン不可<br />
                    ※S!まとめて支払い：フィーチャーフォンのみ可<br />
                    ※フレッツまとめて支払い：フィーチャーフォン不可 </font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                商品タイプ
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="itemType" runat="server">
                </asp:DropDownList>
                <br />
                <font size="2" color="red">
                    ※ソフトバンクまとめて支払い（A）：デジタルコンテンツのみ可<br />
                    ※S!まとめて支払い：役務不可 </font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                都度継続区分
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="accountingType" runat="server">
                </asp:DropDownList>
                <br />
                <font size="2" color="red">※継続が可能なのはドコモ・au・ソフトバンクまとめて支払い（A）・ソフトバンクまとめて支払い（B）・フレッツまとめて支払い</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                与信方法
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="withCapture" runat="server">
                </asp:DropDownList>
                <br />
                <font size="2" color="red">※ソフトバンクまとめて支払い（A）は「与信売上」のみ可能</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                本人認証(３Ｄセキュア)
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="d3Flag" runat="server">
                </asp:DropDownList>
                <br />
                <font size="2" color="red">※ソフトバンクまとめて支払い（B）のみのパラメータ</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                初回課金年月日
            </td>
            <td class="ivalue">
                <asp:TextBox ID="mpFirstDate" runat="server" MaxLength="8" size="9" /><br />
                <font size="2" color="red">※継続課金でドコモ・au・ソフトバンクまとめて支払い（B）・フレッツまとめて支払いは指定可能(形式：YYYYMMDD)<br />
                    ※フレッツまとめて支払いの場合、DD部分は25以下しか指定できません。</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                継続課金日(01-28)
            </td>
            <td class="ivalue">
                <asp:TextBox ID="mpDay" runat="server" MaxLength="2" size="3" />
                <br />
                <font size="2" color="red">※継続課金でドコモ・au・ソフトバンクまとめて支払い（B）・フレッツまとめて支払いは指定可能<br/>
                    ※月末日を指定する場合は&quot;99&quot;を指定してください。<br />
                    ※一桁の場合は数値の前に&quot;0&quot;をつけてください。&nbsp;&nbsp;例：01<br />
                    ※フレッツまとめて支払いの場合、25以下しか指定できません。</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                商品番号
            </td>
            <td class="ivalue">
                <asp:TextBox ID="itemId" runat="server" MaxLength="18" size="20" />
                <br />
                <font size="2" color="red">
                    ※au：15バイト以下の任意の値(継続課金の場合は提供商品ごとに変更する必要あり)<br />
                    ※ソフトバンクまとめて支払い（A）：継続の場合はソフトバンクより払い出されたサービス識別子(18バイト以下)<br />
                    ※フレッツまとめて支払い：8バイト以下の数字<br />
                    ※上記以外：15バイト以下の任意の値</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                商品情報
            </td>
            <td class="ivalue">
                <asp:TextBox ID="itemInfo" runat="server" MaxLength="24" size="48" />
                <br />
                <font size="2" color="red">※ドコモ・au・ソフトバンクまとめて支払い（A）・フレッツまとめて支払いで指定可能<br />
                         ※ソフトバンクまとめて支払い（B）は直接契約の場合のみ指定可能<br/>
                         ※au：都度課金の場合は全角24文字以内、継続課金の場合は全角15文字以内<br/>
                         ※au以外：全角20文字以内</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済完了時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="successUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済キャンセル時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="cancelUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済エラー時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="errorUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                プッシュURL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="pushUrl" runat="server" MaxLength="256" size="70" />
                <br />
                <font size="2" color="red">※ダミー決済の場合のみ指定可能</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                OpenID
            </td>
            <td class="ivalue">
                <asp:TextBox ID="openId" runat="server" MaxLength="256" size="70" />
                <br />
                <font size="2" color="red">※ドコモ・auは指定可能</font>
            </td>
        </tr>
        <asp:HiddenField ID="sbUid" runat="server" />
        <tr>
            <td class="ititle">
                フレッツエリア
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="fletsArea" runat="server">
                </asp:DropDownList>
                <br />
                <font size="2" color="red">※フレッツまとめて支払いのみのパラメータ</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                auIDログインフラグ
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="loginAuId" runat="server">
                </asp:DropDownList>
                <font size="2" color="red">※auのみのパラメータ</font>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Button ID="btnSubmit" runat="server" Text="購入" OnClick="btnSubmit_Click" />&nbsp;&nbsp;<font
                    size="2" color="red">※２回以上クリックしないでください。</font>
            </td>
        </tr>
    </table>
    </form>
    <a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt="VeriTransロゴ" src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc.
    All rights reserved
</body>
</html>
