<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Authorize.aspx.cs" Inherits="MdkSampleDotNet.em.Authorize" %>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 電子マネー決済 サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'/><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 電子マネー決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<asp:Label ID="errorMessage" runat="server"/>

<table>
<tr>
  <td class="ptitle"><div class="lhtitle">電子マネー決済：決済請求</div></td>
  <td class="pcxts">
    <img alt="LOGO" src="../WEB-IMG/EM_Edy.jpg"/>
    <img alt="LOGO" src="../WEB-IMG/EM_Suica.jpg"/>
  </td>
</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_EM" method="post" runat="server">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><asp:Label ID="orderId" runat="server"/>&nbsp;&nbsp;<asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" onclick="btnReplaceOrderId_Click" /></td>
</tr>
<tr>
  <td class="ititle">決済サービスオプション</td>
  <td class="ivalue">
    <asp:DropDownList ID="serviceOptionType" runat="server">
        <asp:ListItem Value="edy-pc">サイバーEdy決済</asp:ListItem>
        <asp:ListItem Value="edy-mobile">モバイルEdy決済</asp:ListItem>
        <asp:ListItem Value="edy-direct">モバイルEdyダイレクト決済</asp:ListItem>
        <asp:ListItem Value="suica-mobile-mail">モバイルSuica メール決済</asp:ListItem>
        <asp:ListItem Value="suica-mobile-app">モバイルSuica アプリ決済</asp:ListItem>
        <asp:ListItem Value="suica-pc-mail">Suicaインターネットサービス メール決済</asp:ListItem>
        <asp:ListItem Value="suica-pc-app">Suicaインターネットサービス アプリ決済</asp:ListItem>
        <asp:ListItem Value="waon-pc">WAONネット決済PC</asp:ListItem>
        <asp:ListItem Value="waon-mobile">WAONネット決済モバイル</asp:ListItem>
        <asp:ListItem Value="tcc-redirect">nanaco決済</asp:ListItem>
    </asp:DropDownList>
  </td>
</tr>
<tr>
  <td class="ititle">決済金額</td>
  <td class="ivalue"><asp:TextBox ID="amount" runat="server" maxlength="5" size="6" /></td>
</tr>
<tr>
  <td class="ititle">決済期限</td>
  <td class="ivalue"><table border="0" cellpadding="0" cellspacing="0"><tr>
  <td rowspan="2"><asp:TextBox ID="settlementLimit" runat="server" maxlength="14" size="15" /></td>
  <td>&nbsp;&nbsp;<font size="2" color="red">※サイバーEdy決済、モバイルEdyダイレクト決済、nanaco決済の場合は入力する必要はありません。</font></td></tr>
  <tr><td>&nbsp;&nbsp;<font size="2" color="red">※形式：YYYYMMDDhhmmss</font></td>
  </tr></table></td>
</tr>
<tr>
  <td class="ititle">支払取消期限</td>
  <td class="ivalue"><table border="0" cellpadding="0" cellspacing="0"><tr>
    <td rowspan="2"><asp:TextBox ID="cancelLimit" runat="server" maxlength="14" size="15" /></td>
    <td>&nbsp;&nbsp;<font size="2" color="red">※WAONネット決済、WAONモバイル決済のみ必須です。</font></td></tr>
    <tr><td>&nbsp;&nbsp;<font size="2" color="red">※形式：YYYYMMDDhhmmss</font></td>
  </tr></table></td>
</tr>
<tr>
  <td class="ititle">メールアドレス</td>
  <td class="ivalue">
  <asp:TextBox ID="mailAddress" runat="server" maxlength="256" size="50" /><br/>
  <font size="2" color="red">※ｻｲﾊﾞｰEdy決済､ﾓﾊﾞｲﾙEdyﾀﾞｲﾚｸﾄ決済、ﾓﾊﾞｲﾙSuica ｱﾌﾟﾘ決済､Suicaｲﾝﾀｰﾈｯﾄｻｰﾋﾞｽ ｱﾌﾟﾘ決済、nanaco決済では不要です。</font>
  </td>
</tr>
<tr>
  <td class="ititle">ユーザID</td>
  <td class="ivalue">
      <asp:TextBox runat="server" ID="userId" MaxLength="64" size="50"></asp:TextBox><br />
    <font size="2" color="red">※nanaco決済のみ必須です。</font>
  </td>
  
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr><td colspan="2"><asp:Button ID="btnSubmit" runat="server" Text="購入" onclick="btnSubmit_Click" />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td></tr>
</form>
</table>

<br/>
<a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr/>
<img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
