﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Result.aspx.cs" Inherits="web.mpi.Result" %>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>取引結果</title>
<link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'/><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G カード決済与信(3D認証付き)の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
</font>
</div>
<div class="lhtitle">カード決済与信(3D認証付き)：取引結果</div>
    <% if (!String.IsNullOrEmpty(Warning)){ %>
            <%=Warning + "<br/><br/"%>
    <% } %>

    <table border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td class="rititletop">取引ID</td>
        <td class="rivaluetop"><asp:Label runat="server" ID="OrderId"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">リクエストID</td>
        <td class="rivalue"><asp:Label runat="server" ID="RequestId"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">MPI取引ステータス</td>
        <td class="rivalue"><asp:Label runat="server" ID="mpiMstatus"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">カード取引ステータス</td>
        <td class="rivalue"><asp:Label runat="server" ID="cardMstatus"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">結果コード</td>
        <td class="rivalue"><asp:Label runat="server" ID="vResultCode"></asp:Label><br/></td>
      </tr>
      <!--
      <tr>
        <td class="rititle">通貨単位</td>
        <td class="rivalue"><asp:Label runat="server" ID="reqCurrencyUnit"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">トランザクションタイプ</td>
        <td class="rivalue"><asp:Label runat="server" ID="cardTransactionType"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">センター要求日時</td>
        <td class="rivalue"><asp:Label runat="server" ID="centerRequestDate"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">センター応答日時</td>
        <td class="rivalue"><asp:Label runat="server" ID="centerResponseDate"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">接続先カード接続センター</td>
        <td class="rivalue"><asp:Label runat="server" ID="connectedCenterId"></asp:Label><br/></td>
      </tr>
      -->
      <tr>
        <td class="rititle">カード番号</td>
        <td class="rivalue"><asp:Label runat="server" ID="reqCardNumber"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">取引金額</td>
        <td class="rivalue"><asp:Label runat="server" ID="reqAmount"></asp:Label><br/></td>
      </tr>
      
      <tr>
        <td class="rititle">仕向け先コード</td>
        <td class="rivalue"><asp:Label runat="server" ID="acquirerCode"></asp:Label><br/></td>
      </tr>
      
      <tr>
        <td class="rititle">承認番号</td>
        <td class="rivalue"><asp:Label runat="server" ID="authCode"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">3Dメッセージバージョン</td>
        <td class="rivalue"><asp:Label runat="server" ID="dddMessageVersion"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">3DトランザクションID</td>
        <td class="rivalue"><asp:Label runat="server" ID="dddTransactionId"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">3Dトランザクションステータス</td>
        <td class="rivalue"><asp:Label runat="server" ID="dddTransactionStatus"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">3D CAVVアルゴリズム</td>
        <td class="rivalue"><asp:Label runat="server" ID="dddCavvAlgorithm"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">3D CAVV</td>
        <td class="rivalue"><asp:Label runat="server" ID="dddCavv"></asp:Label><br/></td>
      </tr>
      <tr>
        <td class="rititle">3D ECI</td>
        <td class="rivalue"><asp:Label runat="server" ID="dddEci"></asp:Label><br/></td>
      </tr>
    </table>
<br/>
<a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr/>
<img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
