﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Authorize.aspx.cs" Inherits="MdkSampleDotNet.oricosc.Authorize" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - ショッピングクレジット決済画面表示サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
        // 価格算出
        function reCalcSum() {

          // 各商品価格を計算
          var itemAmount1 = Number(document.getElementById('itemAmount1').value);
          var itemAmount2 = Number(document.getElementById('itemAmount2').value);
          var itemAmount3 = Number(document.getElementById('itemAmount3').value);
          var itemAmount4 = Number(document.getElementById('itemAmount4').value);
          var itemAmount5 = Number(document.getElementById('itemAmount5').value);


          // 商品価格合計と支払金額合計算出
          // 送料合計
          var totalCarriage = Number(document.getElementById('totalCarriage').value);
          var totalItemAmount = itemAmount1 + itemAmount2 + itemAmount3 + itemAmount4 + itemAmount5;
          var amount = totalItemAmount + totalCarriage;
          document.getElementById('labelTotalItemAmount').innerHTML = totalItemAmount;
          document.getElementById('totalItemAmount').value = totalItemAmount;
          document.getElementById('labelAmount').innerHTML = amount;
          document.getElementById('amount').value = amount;
        }
    </script>
</head>
<body onload="reCalcSum();">
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G ショッピングクレジット決済の決済サンプル画面です。<br/>
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    <table>
        <tr>
            <td>
                <div class="lhtitle">
                    ショッピングクレジット決済：画面表示</div>
            </td>
            <td>
                <img alt="ORICO_LOGO" src='../WEB-IMG/Oricosc.png' height="30" width="140" />
            </td>
            <td width="20">
                <br />
            </td>
        </tr>
    </table>
    <form id="Form1" name="FORM_ORICOSC" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="ititletop">
                取引ID
            </td>
            <td class="ivaluetop">
                <asp:Label ID="orderId" runat="server" />&nbsp;&nbsp;
                <asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" OnClick="btnReplaceOrderId_Click" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                注文番号
            </td>
            <td class="ivalue">
                <asp:Label ID="oricoOrderNo" runat="server" />&nbsp;&nbsp;
            </td>
        </tr>
        <tr>
            <td class="ititle">
                会員番号
            </td>
            <td class="ivalue">
                <asp:TextBox ID="userNo" runat="server" MaxLength="20" size="20" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                配送先郵便番号
            </td>
            <td class="ivalue">
                <asp:TextBox ID="shippingZipCode" runat="server" MaxLength="8" size="20" />&nbsp;&nbsp;<font size="2" color="red">※形式：000-0000</font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                取扱契約番号
            </td>
            <td class="ivalue">
                <asp:TextBox ID="handlingContractNo" runat="server" MaxLength="3" size="3" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                契約書有無区分
            </td>
            <td class="ivalue">
                <asp:TextBox ID="contractDocumentKbn" runat="server" MaxLength="1" size="1" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                WEB申込商品ID
            </td>
            <td class="ivalue">
                <asp:TextBox ID="webDescriptionId" runat="server" MaxLength="4" size="4" />
            </td>
        </tr>
    </table>
    
    <br/>
    <font size="2" color="red">※必ず「商品１」は設定してください。</font>
    <br/>
    
    <table border="1" cellpadding="0" cellspacing="0">
        <tr>
          <th />
          <th>商品名</th>
          <th>数量</th>
          <th>商品価格(税込)</th>
        </tr>
        <tr>
          <td class="ititle">商品１</td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemName1" runat="server" size="20" />
          </td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemCount1" runat="server" MaxLength="3" size="4" />
          </td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemAmount1" runat="server" MaxLength="8" size="20" onblur="reCalcSum()"/>
          </td>
        </tr>
      <tr>
          <td class="ititle">商品２</td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemName2" runat="server" size="20" />
          </td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemCount2" runat="server" MaxLength="3" size="4" />
          </td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemAmount2" runat="server" MaxLength="8" size="20" onblur="reCalcSum()"/>
          </td>
      </tr>
      <tr>
          <td class="ititle">商品３</td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemName3" runat="server" size="20" />
          </td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemCount3" runat="server" MaxLength="3" size="4" />
          </td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemAmount3" runat="server" MaxLength="8" size="20" onblur="reCalcSum()"/>
          </td>
      </tr>
      <tr>
          <td class="ititle">商品４</td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemName4" runat="server" size="20" />
          </td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemCount4" runat="server" MaxLength="3" size="4" />
          </td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemAmount4" runat="server" MaxLength="8" size="20" onblur="reCalcSum()"/>
          </td>
      </tr>
      <tr>
          <td class="ititle">商品５</td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemName5" runat="server" size="20" />
          </td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemCount5" runat="server" MaxLength="3" size="4" />
          </td>
          <td style="border-style:none;">
            <asp:TextBox ID="itemAmount5" runat="server" MaxLength="8" size="20" onblur="reCalcSum()"/>
          </td>
      </tr>
      <tr>
          <td class="ititle">商品価格合計(税込)</td>
          <td colspan="3" align="right">
            <asp:Label ID="labelTotalItemAmount" runat="server" />円
            <asp:HiddenField ID="totalItemAmount" value="0" runat="server" />
          </td>
      </tr>
      <tr>
          <td class="ititle">送料合計(税込)</td>
          <td colspan="3" align="right">
            <asp:TextBox ID="totalCarriage" runat="server" MaxLength="8" size="8" onblur="reCalcSum()"/>
          </td>
      </tr>
      <tr>
          <td class="ititle">支払金額合計</td>
          <td colspan="3" align="right">
            <asp:Label ID="labelAmount" runat="server" />円
            <asp:HiddenField ID="amount" value="0" runat="server" />
          </td>
      </tr>
      <tr>
          <td class="ititle">頭金</td>
          <td colspan="3" align="right">
            <asp:TextBox ID="deposit" runat="server" MaxLength="8" size="8"/>
          </td>
      </tr>
    </table>

    <br />
        <asp:Button ID="btnSubmit" runat="server" Text="購入" OnClick="btnSubmit_Click" />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
    </form>
    <a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
