﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AccountEntry.aspx.cs" Inherits="web.paynowid.AccountEntry" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - 会員入会処理サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G 会員入会処理のサンプル画面です。<br />
            お客様ECサイトとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照ください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    <div class="lhtitle">
        会員入会処理</div>
    <form id="Form1" name="FORM_PAY_NOW_ID" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="thl" colspan="2">
                入会情報
            </td>
        </tr>
        <tr>
            <td class="ititle">
                会員ID
            </td>
            <td class="ivalue">
                <asp:TextBox type="text" size="50" name="accountId" MaxLength="100" 
                    runat="server" ID="AccountId" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                入会年月日
            </td>
            <td class="ivalue">
                <asp:TextBox type="text" size="8" name="createDate" MaxLength="8" 
                runat="server" ID="CreateDate" />&nbsp;&nbsp;
                <font size="2" color="red">※形式:YYYYMMDD </font>
            </td>
        </tr>
        <tr>
            <td class="ititle">
                入会処理区分
            </td>
            <td class="ivalue">
                <asp:RadioButtonList runat="server" ID="EntryKbn" name="entryKbn" RepeatDirection="Horizontal"
                    RepeatLayout="Flow">
                    <asp:ListItem Enabled="true" Selected="True" Text="新規入会" Value="1"></asp:ListItem>
                    <asp:ListItem Enabled="true" Text="再入会" Value="2"></asp:ListItem>
                </asp:RadioButtonList>
                <br />
                <font color="red">&nbsp;&nbsp;※再入会は一度退会した会員に同一PayNowIDを割り当てる場合にご利用ください。</font>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;&nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="2">
            <asp:Button runat="server" Text="実行" onclick="btnSubmit_Click" />
                &nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
                </td>
        </tr>
    </table>
    </form>
    <a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png" />&nbsp; Copyright &copy;
    VeriTrans Inc. All rights reserved
</body>
</html>
