﻿<%@ Page Language="C#" AutoEventWireup="True" CodeBehind="Authorize.aspx.cs" Inherits="MdkSampleDotNet.rakuten.Authorize" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - 楽天ID決済与信サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G 楽天ID決済の取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    <table>
        <tr>
            <td>
                <div class="lhtitle">
                    楽天ID決済：決済請求</div>
            </td>
            <td>
                <a href='http://checkout.rakuten.co.jp/' target='_blank'><img src='http://checkout.rakuten.co.jp/2014/logo/s_sb_20059.jpg' border='0'/></a>
            </td>
            <td width="20">
                <br />
            </td>
        </tr>
    </table>
    <form id="Form1" name="FORM_RAKUTEN" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="ititletop">
                取引ID
            </td>
            <td class="ivaluetop">
                <asp:Label ID="orderId" runat="server" />&nbsp;&nbsp;
                <asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" OnClick="btnReplaceOrderId_Click" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                金額
            </td>
            <td class="ivalue">
                <asp:TextBox ID="amount" runat="server" MaxLength="8" size="9" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                与信方法
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="withCapture" runat="server" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                商品番号
            </td>
            <td class="ivalue">
                <asp:TextBox ID="itemId" runat="server" MaxLength="18" size="20" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                商品名
            </td>
            <td class="ivalue">
                <asp:TextBox ID="itemName" runat="server" MaxLength="255" size="40" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済完了時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="successUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済エラー時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="errorUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                プッシュURL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="pushUrl" runat="server" MaxLength="256" size="70" />
                <br />
                <font size="2" color="red">※ダミー決済の場合のみ指定可能</font>
            </td>
        </tr>
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:ImageButton runat="server" ID="btnSubmit" OnClick="btnSubmit_Click" ImageUrl='http://checkout.rakuten.co.jp/p/common/img/btn_check_02.gif?1c6ac1f5ef5651d9262206554a93c392' />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
            </td>
        </tr>
    </table>
    </form>
    <a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc.
    All rights reserved
</body>
</html>
