﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Result.aspx.cs" Inherits="MdkSampleDotNet.saison.Result" %>

<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>永久不滅ポイント(永久不滅ウォレット)決済処理結果</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<span style="font-size: small;">
    本画面はVeriTrans4G 永久不滅ポイント(永久不滅ウォレット)決済の<asp:Label ID="processName1" runat="server"/>処理結果表示画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
</span>
</div>

<div class="lhtitle">永久不滅ポイント(永久不滅ウォレット)決済処理結果：<asp:Label ID="processName2" runat="server"/></div>
<table style="border-width: 0; padding: 0; border-collapse: collapse">
    <tr>
        <td class="rititlecommon">取引ID</td>
        <td class="rivaluecommon"><asp:Label ID="orderId" runat="server"/><br/></td>
    </tr>
    <tr>
        <td class="rititlecommon">取引ステータス</td>
        <td class="rivaluecommon"><asp:Label ID="mStatus" runat="server"/><br/></td>
    </tr>
    <tr>
        <td class="rititlecommon">結果コード</td>
        <td class="rivaluecommon"><asp:Label ID="vResultCode" runat="server"/><br/></td>
    </tr>
    <tr>
        <td class="rititlecommon">結果メッセージ</td>
        <td class="rivaluecommon"><asp:Label ID="mErrMsg" runat="server"/><br/></td>
    </tr>
</table>
<br/>

<% if ("Authorize" != (String)Session["_screen"]) { %>
<div class="lhtitle">カード決済処理結果：<asp:Label ID="processName3" runat="server"/></div>
<table style="border-width: 0; padding: 0; border-collapse: collapse">
    <tr>
        <td class="rititlecommon">取引ID</td>
        <td class="rivaluecommon"><asp:Label ID="cardOrderId" runat="server"/><br/></td>
    </tr>
    <tr>
        <td class="rititlecommon">取引ステータス</td>
        <td class="rivaluecommon"><asp:Label ID="cardMStatus" runat="server"/><br/></td>
    </tr>
    <tr>
        <td class="rititlecommon">結果コード</td>
        <td class="rivaluecommon"><asp:Label ID="cardVResultCode" runat="server"/><br/></td>
    </tr>
    <tr>
        <td class="rititlecommon">結果メッセージ</td>
        <td class="rivaluecommon"><asp:Label ID="cardMErrMsg" runat="server"/><br/></td>
    </tr>
</table>
<br/>

<% if ("Cancel" != (String)Session["_screen"]) { %>
<table style="border-width: 0; padding: 0; border-collapse: collapse">
    <tr>
        <td class="rititlecommon">カード番号</td>
        <td class="rivaluecommon"><asp:Label ID="reqCardNumber" runat="server"/><br/></td>
    </tr>
    <tr>
        <td class="rititlecommon">承認番号</td>
        <td class="rivaluecommon"><asp:Label ID="resAuthCode" runat="server"/><br/></td>
    </tr>
</table>
<br/>
<% } %>

<% } %>

<% if ("Cancel" != (String)Session["_screen"]) { %>
<a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
<% } else { %>
<a href="../AdminMenu.aspx">管理メニューへ戻る</a>&nbsp;&nbsp;
<% } %>

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>

