﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace MdkSampleDotNet.search
{

    public partial class Search : System.Web.UI.Page
    {

        protected String test_out = "";

        protected void Page_Load(object sender, EventArgs e)
        {
        }
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // ========================================
            // 共通項目
            // ========================================
            String requestId       = Request.Form["requestId"];       // リクエストID
            String serviceTypeCd   = Request.Form["serviceTypeCd[]"]; // 決済サービスタイプ
            String orderId         = Request.Form["orderId"];         // 取引ID
            String command         = Request.Form["command[]"];       // コマンド
            String mstatus         = Request.Form["mstatus[]"];       // ステータスコード
            String orderStatus     = Request.Form["orderStatus[]"];   // オーダー決済状態
            String txnDatatimeFrom = Request.Form["txnDatatimeFrom"]; // 取引日時 From
            String txnDatatimeTo   = Request.Form["txnDatatimeTo"];   // 取引日時 To
            String amountFrom      = Request.Form["amountFrom"];      // 金額 From
            String amountTo        = Request.Form["amountTo"];        // 金額 To
            String isNewerTxn      = Request.Form["isNewerTxn"];      // 最新トランザクションのみ
            // ========================================
            // クレジットカード
            // ========================================
            String card_dddTransactionId           = Request.Form["card_dddTransactionId"];           // 3d-xid
            // ========================================
            // クレジットカード（3D認証有り）
            // ========================================
            String mpi_res3dTransactionId     = Request.Form["mpi_res3dTransactionId"];     // 応答3DトランザクションID
            String mpi_res3dTransactionStatus = Request.Form["mpi_res3dTransactionStatus"]; // 応答3Dトランザクションステータス
            String mpi_res3dEci               = Request.Form["mpi_res3dEci"];               // 応答3D ECI
            // ========================================
            // 電子マネー
            // ========================================
            String em_emType               = Request.Form["em_emType[]"];             // 電子マネー種別
            String em_settlementLimitFrom  = Request.Form["em_settlementLimitFrom"];  // 支払/受取期限 From
            String em_settlementLimitTo    = Request.Form["em_settlementLimitTo"];    // 支払/受取期限 To
            String em_completeDatetimeFrom = Request.Form["em_completeDatetimeFrom"]; // 支払完了日時 From
            String em_completeDatetimeTo   = Request.Form["em_completeDatetimeTo"];   // 支払完了日時 To
            String em_receiptNo            = Request.Form["em_receiptNo"];            // 受付番号
            // ========================================
            // コンビニ
            // ========================================
            String cvs_cvsType          = Request.Form["cvs_cvsType[]"];        // コンビニタイプ
            String cvs_payLimitFrom     = Request.Form["cvs_payLimitFrom"];     // 支払期限 From
            String cvs_payLimitTo       = Request.Form["cvs_payLimitTo"];       // 支払期限 To
            String cvs_paidDatetimeFrom = Request.Form["cvs_paidDatetimeFrom"]; // 入金受付日 From
            String cvs_paidDatetimeTo   = Request.Form["cvs_paidDatetimeTo"];   // 入金受付日 To
            // ========================================
            // 銀行
            // ========================================
            String bank_payLimitFrom         = Request.Form["bank_payLimitFrom"];         // 支払期限 From
            String bank_payLimitTo           = Request.Form["bank_payLimitTo"];           // 支払期限 To
            String bank_receivedDatetimeFrom = Request.Form["bank_receivedDatetimeFrom"]; // 収納日時 From
            String bank_receivedDatetimeTo   = Request.Form["bank_receivedDatetimeTo"];   // 収納日時 To
            String bank_shunoKikanNo         = Request.Form["bank_shunoKikanNo"];         // 収納機関番号
            String bank_shunoKigyoNo         = Request.Form["bank_shunoKigyoNo"];         // 収納企業コード
            String bank_customerNo           = Request.Form["bank_customerNo"];           // お客様番号
            String bank_confirmNo            = Request.Form["bank_confirmNo"];            // 確認番号
            // ========================================
            // PayPal
            // ========================================
            String paypal_paymentDatetimeFrom = Request.Form["paypal_paymentDatetimeFrom"]; // 支払日時 From
            String paypal_paymentDatetimeTo   = Request.Form["paypal_paymentDatetimeTo"];   // 支払日時 To
            String paypal_invoiceId           = Request.Form["paypal_invoiceId"];           // 請求番号
            String paypal_payerId             = Request.Form["paypal_payerId"];             // 顧客番号
            // ========================================
            // Saison
            // ========================================
            String saison_totalAmountFrom  = Request.Form["saison_totalAmountFrom"];  // 合計決済金額 From
            String saison_totalAmountTo    = Request.Form["saison_totalAmountTo"];    // 合計決済金額 To
            String saison_walletAmountFrom = Request.Form["saison_walletAmountFrom"]; // ウォレット決済金額 From
            String saison_walletAmountTo   = Request.Form["saison_walletAmountTo"];   // ウォレット決済金額 To
            String saison_cardAmountFrom   = Request.Form["saison_cardAmountFrom"];   // カード決済金額 From
            String saison_cardAmountTo     = Request.Form["saison_cardAmountTo"];     // カード決済金額 To
            // ========================================
            // UPOP
            // ========================================
            String upop_settleDatetimeJpFrom = Request.Form["upop_settleDatetimeJpFrom"];  // 決済日時(日本) From
            String upop_settleDatetimeJpTo   = Request.Form["upop_settleDatetimeJpTo"];    // 決済日時(日本) To
            String upop_settleDatetimeCnFrom = Request.Form["upop_settleDatetimeCnFrom"];  // 決済日時(中国) From
            String upop_settleDatetimeCnTo   = Request.Form["upop_settleDatetimeCnTo"];    // 決済日時(中国) To
            String upop_detailOrderType      = Request.Form["detailOrderType[]"];          // 現在オーダーステータス
            // ========================================
            // Alipay
            // ========================================
            String alipay_centerTradeId      = Request.Form["alipay_centerTradeId"];       // 決済センターとの取引ID
            String alipay_paymentTimeFrom    = Request.Form["alipay_paymentTimeFrom"];     // 支払い日時From
            String alipay_paymentTimeTo      = Request.Form["alipay_paymentTimeTo"];       // 支払い日時 To
            String alipay_settlementTimeFrom = Request.Form["alipay_settlementTimeFrom"];  // 清算日時From
            String alipay_settlementTimeTo   = Request.Form["alipay_settlementTimeTo"];    // 清算日時To
            String alipay_payType            = Request.Form["alipay_payType[]"];           // 決済種別
            String alipay_detailOrderType    = Request.Form["alipayDetailOrderType[]"];    // 現在オーダーステータス
            // ========================================
            // キャリア
            // ========================================
            String carrier_detailOrderType   = Request.Form["carrier_detailOrderType[]"];  // 詳細オーダー決済状態
            String carrier_crServiceType     = Request.Form["carrier_crServiceType[]"];    // キャリアサービスタイプ
            String carrier_accountingType    = Request.Form["carrier_accountingType"];     // 課金種別
            String carrier_itemType          = Request.Form["carrier_itemType[]"];         // 商品タイプ
            String carrier_mpStatus          = Request.Form["carrier_mpStatus[]"];         // 継続状態フラグ
            String carrier_terminalKind      = Request.Form["carrier_terminalKind[]"];     // 端末種別
            String carrier_detailCommandType = Request.Form["carrier_detailCommandType[]"];// 詳細コマンドタイプ
            String carrier_mpFirstDate       = Request.Form["carrier_mpFirstDate"];        // 初回課金年月日
            String carrier_mpDay             = Request.Form["carrier_mpDay"];              // 継続課金日
            String carrier_itemId            = Request.Form["carrier_itemId"];             // 商品番号
            // ========================================
            // ショッピングクレジット
            // ========================================
            String oricosc_oricoOrderNo         = Request.Form["oricosc_oricoOrderNo"];         // 注文番号
            String oricosc_amountFrom           = Request.Form["oricosc_amountFrom"];           // 支払合計金額 From
            String oricosc_amountTo             = Request.Form["oricosc_amountTo"];             // 支払合計金額 To
            String oricosc_totalItemAmountFrom  = Request.Form["oricosc_totalItemAmountFrom"];  // 商品価格合計(税込) From
            String oricosc_totalItemAmountTo    = Request.Form["oricosc_totalItemAmountTo"];    // 商品価格合計(税込) To
            // ========================================
            // 楽天
            // ========================================
            String rakuten_detailOrderType   = Request.Form["rakuten_detailOrderType[]"];    // 詳細オーダー決済状態
            String rakuten_detailCommandType = Request.Form["rakuten_detailCommandType[]"];  // 詳細コマンドタイプ
            String rakuten_itemId            = Request.Form["rakuten_itemId"];               // 商品番号
            // ========================================
            // リクルート
            // ========================================
            String recruit_detailOrderType = Request.Form["recruit_detailOrderType[]"];    // 詳細オーダー決済状態
            String recruit_detailCommandType = Request.Form["recruit_detailCommandType[]"];  // 詳細コマンドタイプ
            String recruit_itemId = Request.Form["recruit_itemId"];               // 商品番号
            // ========================================
            // LINE Pay
            // ========================================
            String linepay_detailOrderType = Request.Form["linepay_detailOrderType[]"];    // 詳細オーダー決済状態
            String linepay_detailCommandType = Request.Form["linepay_detailCommandType[]"];  // 詳細コマンドタイプ
            String linepay_itemId = Request.Form["linepay_itemId"];               // 商品番号
            // ========================================
            // MasterPass決済
            // ========================================
            String masterpass_detailOrderType = Request.Form["masterpass_detailOrderType[]"];    // 詳細オーダー決済状態
            String masterpass_detailCommandType = Request.Form["masterpass_detailCommandType[]"];  // 詳細コマンドタイプ
            String masterpass_itemId = Request.Form["masterpass_itemId"];         // 商品番号
            String masterpass_acquirerCode = Request.Form["masterpass_acquirerCode"];         // 仕向け先コード
            // ========================================
            // 銀行振込決済
            // ========================================
            String virtualacc_detailOrderType = Request.Form["virtualacc_detailOrderType[]"];        // 詳細オーダー決済状態
            String virtualacc_detailCommandType = Request.Form["virtualacc_detailCommandType[]"];    // 詳細コマンドタイプ
            String virtualacc_entryTransferName = Request.Form["virtualacc_entryTransferName"];      // 登録時振込人名
            String virtualacc_entryTransferNumber = Request.Form["virtualacc_entryTransferNumber"];  // 登録時振込番号
            String virtualacc_accountNumber = Request.Form["virtualacc_accountNumber"];              // 口座番号

            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 画面入力値を実行クラスに渡すためにセッションに設定します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Session["requestId"]                       = requestId;                       // リクエストID
            Session["serviceTypeCd[]"]                 = serviceTypeCd;                   // 決済サービスタイプ
            Session["orderId"]                         = orderId;                         // 取引ID
            Session["command[]"]                       = command;                         // コマンド
            Session["mstatus[]"]                       = mstatus;                         // ステータスコード
            Session["orderStatus[]"]                   = orderStatus;                     // オーダー決済状態
            Session["txnDatatimeFrom"]                 = txnDatatimeFrom;                 // 取引日時 From
            Session["txnDatatimeTo"]                   = txnDatatimeTo;                   // 取引日時 To
            Session["amountFrom"]                      = amountFrom;                      // 金額 From
            Session["amountTo"]                        = amountTo;                        // 金額 To
            Session["isNewerTxn"]                      = isNewerTxn;                      // 最新トランザクションのみ
            Session["card_dddTransactionId"]           = card_dddTransactionId;           // 3d-xid
            Session["mpi_res3dTransactionId"]          = mpi_res3dTransactionId;          // 応答3DトランザクションID
            Session["mpi_res3dTransactionStatus"]      = mpi_res3dTransactionStatus;      // 応答3Dトランザクションステータス
            Session["mpi_res3dEci"]                    = mpi_res3dEci;                    // 応答3D ECI
            Session["em_emType[]"]                     = em_emType;                       // 電子マネー種別
            Session["em_settlementLimitFrom"]          = em_settlementLimitFrom;          // 支払/受取期限 From
            Session["em_settlementLimitTo"]            = em_settlementLimitTo;            // 支払/受取期限 To
            Session["em_completeDatetimeFrom"]         = em_completeDatetimeFrom;         // 支払完了日時 From
            Session["em_completeDatetimeTo"]           = em_completeDatetimeTo;           // 支払完了日時 To
            Session["em_receiptNo"]                    = em_receiptNo;                    // 受付番号
            Session["cvs_cvsType[]"]                   = cvs_cvsType;                     // コンビニタイプ
            Session["cvs_payLimitFrom"]                = cvs_payLimitFrom;                // 支払期限 From
            Session["cvs_payLimitTo"]                  = cvs_payLimitTo;                  // 支払期限 To
            Session["cvs_paidDatetimeFrom"]            = cvs_paidDatetimeFrom;            // 入金受付日 From
            Session["cvs_paidDatetimeTo"]              = cvs_paidDatetimeTo;              // 入金受付日 To
            Session["bank_payLimitFrom"]               = bank_payLimitFrom;               // 支払期限 From
            Session["bank_payLimitTo"]                 = bank_payLimitTo;                 // 支払期限 To
            Session["bank_receivedDatetimeFrom"]       = bank_receivedDatetimeFrom;       // 収納日時 From
            Session["bank_receivedDatetimeTo"]         = bank_receivedDatetimeTo;         // 収納日時 To
            Session["bank_shunoKikanNo"]               = bank_shunoKikanNo;               // 収納機関番号
            Session["bank_shunoKigyoNo"]               = bank_shunoKigyoNo;               // 収納企業コード
            Session["bank_customerNo"]                 = bank_customerNo;                 // お客様番号
            Session["bank_confirmNo"]                  = bank_confirmNo;                  // 確認番号
            Session["paypal_paymentDatetimeFrom"]      = paypal_paymentDatetimeFrom;      // 支払日時 From
            Session["paypal_paymentDatetimeTo"]        = paypal_paymentDatetimeTo;        // 支払日時 To
            Session["paypal_invoiceId"]                = paypal_invoiceId;                // 請求番号
            Session["paypal_payerId"]                  = paypal_payerId;                  // 顧客番号
            Session["saison_totalAmountFrom"]          = saison_totalAmountFrom;          // 合計決済金額 From
            Session["saison_totalAmountTo"]            = saison_totalAmountTo;            // 合計決済金額 To
            Session["saison_walletAmountFrom"]         = saison_walletAmountFrom;         // ウォレット決済金額 From
            Session["saison_walletAmountTo"]           = saison_walletAmountTo;           // ウォレット決済金額 To
            Session["saison_cardAmountFrom"]           = saison_cardAmountFrom;           // カード決済金額 From
            Session["saison_cardAmountTo"]             = saison_cardAmountTo;             // カード決済金額 To
            Session["upop_settleDatetimeJpFrom"]       = upop_settleDatetimeJpFrom;       // 決済日時(日本) From
            Session["upop_settleDatetimeJpTo"]         = upop_settleDatetimeJpTo;         // 決済日時(日本) To
            Session["upop_settleDatetimeCnFrom"]       = upop_settleDatetimeCnFrom;       // 決済日時(中国) From
            Session["upop_settleDatetimeCnTo"]         = upop_settleDatetimeCnTo;         // 決済日時(中国) To
            Session["detailOrderType[]"]               = upop_detailOrderType;            // 現在オーダーステータス
            Session["alipay_centerTradeId"]            = alipay_centerTradeId;            // 決済センターとの取引ID
            Session["alipay_paymentTimeFrom"]          = alipay_paymentTimeFrom;          // 支払い日時From
            Session["alipay_paymentTimeTo"]            = alipay_paymentTimeTo;            // 支払い日時 To
            Session["alipay_settlementTimeFrom"]       = alipay_settlementTimeFrom;       // 清算日時From
            Session["alipay_settlementTimeTo"]         = alipay_settlementTimeTo;         // 清算日時To
            Session["alipay_payType[]"]                = alipay_payType;                  // 決済種別
            Session["alipayDetailOrderType[]"]         = alipay_detailOrderType;          // 現在オーダーステータス
            Session["carrier_detailOrderType[]"]       = carrier_detailOrderType;         // 詳細オーダー決済状態 
            Session["carrier_crServiceType[]"]         = carrier_crServiceType;           // キャリアサービスタイプ
            Session["carrier_accountingType"]          = carrier_accountingType;          // 課金種別
            Session["carrier_itemTyp[]e"]              = carrier_itemType;                // 商品タイプ
            Session["carrier_mpStatus[]"]              = carrier_mpStatus;                // 継続状態フラグ
            Session["carrier_terminalKind[]"]          = carrier_terminalKind;            // 端末種別
            Session["carrier_detailCommandType[]"]     = carrier_detailCommandType;       // 詳細コマンドタイプ
            Session["carrier_mpFirstDate"]             = carrier_mpFirstDate;             // 初回課金年月日
            Session["carrier_mpDay"]                   = carrier_mpDay;                   // 継続課金日
            Session["carrier_mpDay"]                   = carrier_itemId;                  // 商品番号
            Session["oricosc_oricoOrderNo"]            = oricosc_oricoOrderNo;            // 注文番号
            Session["oricosc_amountFrom"]              = oricosc_amountFrom;              // 支払合計金額 From
            Session["oricosc_amountTo"]                = oricosc_amountTo;                // 支払合計金額 To
            Session["oricosc_totalItemAmountFrom"]     = oricosc_totalItemAmountFrom;     // 商品価格合計(税込) From
            Session["oricosc_totalItemAmountTo"]       = oricosc_totalItemAmountTo;       // 商品価格合計(税込) To
            Session["rakuten_detailOrderType[]"]       = rakuten_detailOrderType;         // 詳細オーダー決済状態
            Session["rakuten_detailCommandType[]"]     = rakuten_detailCommandType;       // 詳細コマンドタイプ
            Session["rakuten_itemId"]                  = rakuten_itemId;                  // 商品番号
            Session["recruit_detailOrderType[]"]       = recruit_detailOrderType;         // 詳細オーダー決済状態
            Session["recruit_detailCommandType[]"]     = recruit_detailCommandType;       // 詳細コマンドタイプ
            Session["recruit_itemId"]                  = recruit_itemId;                  // 商品番号
            Session["linepay_detailOrderType[]"]       = linepay_detailOrderType;         // 詳細オーダー決済状態
            Session["linepay_detailCommandType[]"]     = linepay_detailCommandType;       // 詳細コマンドタイプ
            Session["linepay_itemId"]                  = linepay_itemId;                  // 商品番号
            Session["masterpass_detailOrderType[]"]    = masterpass_detailOrderType;      // 詳細オーダー決済状態
            Session["masterpass_detailCommandType[]"]  = masterpass_detailCommandType;    // 詳細コマンドタイプ
            Session["masterpass_itemId"]               = masterpass_itemId;               // 商品番号
            Session["masterpass_acquirerCode"]         = masterpass_acquirerCode;         // 仕向け先コード
            Session["virtualacc_detailOrderType[]"]    = virtualacc_detailOrderType;      // 詳細オーダー決済状態
            Session["virtualacc_detailCommandType[]"]  = virtualacc_detailCommandType;    // 詳細コマンドタイプ
            Session["virtualacc_entryTransferName"]    = virtualacc_entryTransferName;    // 登録時振込人名
            Session["virtualacc_entryTransferNumber"]  = virtualacc_entryTransferNumber;  // 登録時振込番号
            Session["virtualacc_accountNumber"]        = virtualacc_accountNumber;        // 口座番号

            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 実行＆結果画面を表示します
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Response.Redirect("./SearchExec.aspx", true);

            return;
        }
    }
}
