﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SearchExec.aspx.cs" Inherits="MdkSampleDotNet.search.carrier.SearchExec" %>
<%@ Import namespace="jp.veritrans.tercerog.mdk.dto" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <title>取引検索結果(キャリア)</title>
  <link href="../../css/style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <img alt="Paymentロゴ" src="../../WEB-IMG/VeriTrans_Payment.png"/><hr/>
  <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G 取引検索のサンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
  </div>

  <asp:Label ID="errorMessage" runat="server"/>

  <div class="lhtitle">検索結果（キャリア）</div>
  <h2>オーダー情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="2">オーダー情報</th>
    </tr>
<%
  if (order_info != null) 
  {
      String target_orderId              = order_info.OrderId;                 // オーダーID
      String target_serviceTypeCd        = order_info.ServiceTypeCd;           // 決済サービスタイプ
      String target_orderStatus          = order_info.OrderStatus;             // オーダー決済状態
      String target_lastSuccessTxnType   = order_info.LastSuccessTxnType;      // 最終成功トランザクションタイプ
      String target_successDetailTxnType = order_info.SuccessDetailTxnType; // 詳細トランザクションタイプ
%>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>取引ID</td>
      <td class="rivalue2" nowrap><%= target_orderId %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済サービスタイプ</td>
      <td class="rivalue2" nowrap><%= target_serviceTypeCd %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>オーダー決済状態</td>
      <td class="rivalue2" nowrap><%= target_orderStatus %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>最終成功トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= target_lastSuccessTxnType %><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>詳細トランザクションタイプ</td>
      <td class="rivalue2" nowrap><%= target_successDetailTxnType %><br/></td>
    </tr>
    
<% 
  } 
%>   
  </table>
  <br/>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="10">固有オーダー情報</th>
    </tr>
<%
  if (order_info != null) {
    ProperOrderInfo properOrderInfo = order_info.ProperOrderInfo;
    String target_crServiceType       = properOrderInfo.CrServiceType;       // キャリアサービスタイプ
    String target_withCapture         = properOrderInfo.WithCapture;         // 与信同時売上フラグ
    String target_accountingType      = properOrderInfo.AccountingType;      // 課金タイプ
    String target_itemInfo            = properOrderInfo.ItemInfo;            // 商品情報
    String target_itemId              = properOrderInfo.ItemId;              // 商品ID
    String target_itemType            = properOrderInfo.ItemType;            // 商品タイプ
    String target_terminalKind        = properOrderInfo.TerminalKind;        // 端末種別
    String target_authorizeDatetime   = properOrderInfo.AuthorizeDatetime;   // 決済申込日時
    String target_captureDatetime     = properOrderInfo.CaptureDatetime;     // 売上日時
    String target_cancelDatetime      = properOrderInfo.CancelDatetime;      // 取消日時
    String target_mpFirstDate         = properOrderInfo.MpFirstDate;         // 初回課金日付
    String target_mpDay               = properOrderInfo.MpDay;               // 継続課金日
    String target_mpStatus            = properOrderInfo.MpStatus;            // 継続状態フラグ (月額課金状態フラグ)
    String target_mpOrderId           = properOrderInfo.MpOrderId;           // 継続課金オーダーID
    String target_mpTxnStatusType     = properOrderInfo.MpTxnStatusType;     // 継続課金状態タイプ
    String target_mpCaptureDatetime   = properOrderInfo.MpCaptureDatetime;   // 継続売上日時
    String target_mpCancelDatetime    = properOrderInfo.MpCancelDatetime;    // 継続取消日時
    String target_mpTerminateDatetime = properOrderInfo.MpTerminateDatetime; // 継続終了日時
    String target_crOrderId           = properOrderInfo.CrOrderId;           // キャリアオーダーID
    String target_d3Flag              = properOrderInfo.D3Flag;              // 3Dフラグ
    String target_fletsArea           = properOrderInfo.FletsArea;           // フレッツエリア
%>
   <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>キャリアサービスタイプ</td>
      <td class="rivalue2" nowrap width="170"><%= target_crServiceType %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>商品タイプ</td>
      <td class="rivalue2" nowrap width="170"><%= target_itemType %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>初回課金日付</td>
      <td class="rivalue2" nowrap width="170"><%= MdkSampleDotNet.Utils.formatDateTime(target_mpFirstDate) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>継続売上日時</td>
      <td class="rivalue2" nowrap width="170"><%= MdkSampleDotNet.Utils.formatDateTime(target_mpCaptureDatetime) %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>フレッツエリア</td>
      <td class="rivalue2" nowrap width="170"><%= target_fletsArea%><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>与信同時売上フラグ</td>
      <td class="rivalue2" nowrap><%= target_withCapture %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>端末種別</td>
      <td class="rivalue2" nowrap><%= target_terminalKind %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>継続課金日</td>
      <td class="rivalue2" nowrap><%= target_mpDay %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>継続取消日時</td>
      <td class="rivalue2" nowrap><%= MdkSampleDotNet.Utils.formatDateTime(target_mpCancelDatetime)%><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap></td>
      <td class="rivalue2" nowrap><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>課金タイプ</td>
      <td class="rivalue2" nowrap><%= target_accountingType %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>決済申込日時</td>
      <td class="rivalue2" nowrap><%= MdkSampleDotNet.Utils.formatDateTime(target_authorizeDatetime)%><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>継続状態フラグ</td>
      <td class="rivalue2" nowrap><%= target_mpStatus %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>継続終了日時</td>
      <td class="rivalue2" nowrap><%= MdkSampleDotNet.Utils.formatDateTime(target_mpTerminateDatetime)%><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap></td>
      <td class="rivalue2" nowrap><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>商品情報</td>
      <td class="rivalue2" nowrap><%= target_itemInfo %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>売上日時</td>
      <td class="rivalue2" nowrap><%= MdkSampleDotNet.Utils.formatDateTime(target_captureDatetime)%><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>継続課金オーダーID</td>
      <td class="rivalue2" nowrap><%= target_mpOrderId %><br/></td>
   <td class="rivalue2" bgcolor="#ffeebb" nowrap>キャリアオーダーID</td> 
   <td class="rivalue2" nowrap><%= target_crOrderId %><br/></td> 
      <td class="rivalue2" bgcolor="#ffeebb" nowrap></td>
      <td class="rivalue2" nowrap><br/></td>
    </tr>
    <tr>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>商品ID</td>
      <td class="rivalue2" nowrap><%= target_itemId %><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>取消日時</td>
      <td class="rivalue2" nowrap><%= MdkSampleDotNet.Utils.formatDateTime(target_cancelDatetime)%><br/></td>
      <td class="rivalue2" bgcolor="#ffeebb" nowrap>継続課金状態タイプ</td>
      <td class="rivalue2" nowrap><%= target_mpTxnStatusType %><br/></td>
   <td class="rivalue2" bgcolor="#ffeebb" nowrap>3Dフラグ</td> 
   <td class="rivalue2" nowrap><%= target_d3Flag%><br/></td> 
      <td class="rivalue2" bgcolor="#ffeebb" nowrap></td>
      <td class="rivalue2" nowrap><br/></td>
    </tr>
<%
  }
%>
  </table>
  <br/>
  <h2>トランザクション情報</h2>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="6">決済トランザクション情報</th>
      <th class="rititle2" nowrap colspan="4">固有トランザクション情報</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <!-- 決済トランザクション情報 -->
      <th class="rititle2" nowrap width="65">管理ID</th>
      <th class="rititle2" nowrap width="120">コマンド</th>
      <th class="rititle2" nowrap width="130">ステータスコード</th>
      <th class="rititle2" nowrap width="145">結果コード</th>
      <th class="rititle2" nowrap width="180">取引日時</th>
      <th class="rititle2" nowrap width="100">金額</th>

      <!-- 固有トランザクション情報 -->
      <th class="rititle2" nowrap width="145">キャリア結果コード</th>
      <th class="rititle2" nowrap width="145">詳細コマンドタイプ</th>
      <th class="rititle2" nowrap width="170">キャリアへの要求日時</th>
      <th class="rititle2" nowrap width="185">キャリアからの返戻日時</th>
    </tr>
<%
  if (order_info != null) {
    TransactionInfos transactionInfos = order_info.TransactionInfos;
    TransactionInfo[] transactionInfo = transactionInfos.TransactionInfo;

    String transaction_txnId       = "";
    String transaction_command     = "";
    String transaction_mstatus     = "";
    String transaction_vResultCode = "";
    String transaction_txnDatetime = "";
    String transaction_amount      = "";

    String carrier_crResultCode       = "";
    String carrier_detailCommandType  = "";
    String carrier_crRequestDatetime  = "";
    String carrier_crResponseDatetime = "";

    if (transactionInfo != null && 0 < transactionInfo.Length) {
      for (int i = 0; i < transactionInfo.Length; i++) {
        transaction_txnId       = transactionInfo[i].TxnId;       // トランザクション管理ID
        transaction_command     = transactionInfo[i].Command;     // コマンド
        transaction_mstatus     = transactionInfo[i].Mstatus;     // ステータスコード
        transaction_vResultCode = transactionInfo[i].VResultCode; // 結果コード
        transaction_txnDatetime = transactionInfo[i].TxnDatetime; // 取引日時
        transaction_amount      = transactionInfo[i].Amount;      // 金額

        ProperTransactionInfo properTransactionInfo = transactionInfo[i].ProperTransactionInfo;
        if (properTransactionInfo != null) {
          carrier_crResultCode = properTransactionInfo.CrResultCode;             // キャリア結果コード
          carrier_detailCommandType = properTransactionInfo.DetailCommandType;   // 詳細コマンドタイプ
          carrier_crRequestDatetime = properTransactionInfo.CrRequestDatetime;   // キャリアへの要求日時
          carrier_crResponseDatetime = properTransactionInfo.CrResponseDatetime; // キャリアからの返戻日時
        }
%>
    <tr>
      <!-- 決済トランザクション情報 -->
      <td class="rivalue2" nowrap><%= transaction_txnId %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_command %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_mstatus %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_vResultCode %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_txnDatetime %><br/></td>
      <td class="rivalue2" nowrap><%= transaction_amount %><br/></td>
      <!-- 固有トランザクション情報 -->
      <td class="rivalue2" nowrap><%= carrier_crResultCode %><br/></td>
      <td class="rivalue2" nowrap><%= carrier_detailCommandType %><br/></td>
      <td class="rivalue2" nowrap><%= MdkSampleDotNet.Utils.formatDateTime(carrier_crRequestDatetime) %><br/></td>
      <td class="rivalue2" nowrap><%= MdkSampleDotNet.Utils.formatDateTime(carrier_crResponseDatetime)%><br/></td>
    </tr>
<%
      }
    }
  }
%>
  </table>    
  <br/>
  <a href="../Search.aspx">検索条件へ戻る</a>&nbsp;&nbsp;

  <hr>
  <img alt="VeriTransロゴ" src="../../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
